//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Web;
using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

namespace XShan.DotShoppingCart.HttpHandlers {
    public class DbFileHttpHandler : IHttpHandler {

        public void ProcessRequest(HttpContext ctx) {
            string filespec = new DbFile().GetFile(SiteNavigation.GetHost(), Utils.GetParameter("name"));
            if (string.IsNullOrEmpty(filespec))
                return; //bad name //Todo: should return file not found

            string mime;
            if (null != (mime = WebUtils.GetKnownMime(filespec))) {
                ctx.Response.ContentType = mime;
                WebUtils.SetCacheable(ctx.Response.Cache);
                ctx.Response.TransmitFile(filespec);
            } else // need to let IIS figure out MIME type based on file extension
                ctx.Response.Redirect(SiteNavigation.UnMapPath(filespec));
        }

        public bool IsReusable {
            get { return false; }
        }

    }
}
