//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Collections.Specialized;

using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

using XShan.DotShoppingCart.Common.Configuration;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common;

namespace XShan.DotShoppingCart.OrderPipeline {
    public class OrderEmailProcessorProvider : OrderProcessorProvider {
        private string emailTemplate;

        #region Provider Specific Behaviors
        public override void Initialize(string name, NameValueCollection config) {
            base.Initialize(name, config);

            emailTemplate = config["emailTemplate"];
        }
        #endregion

        protected override void ProcessOrder(string host, Order order) {
            StoreConfigurationSection storeSection = StoreConfigurationSection.GetSection();
            UIConfigurationSection uiSection = UIConfigurationSection.GetSection();
            NameValueCollection tokens = Utils.GetStoreTokens(storeSection, uiSection);
            order.AddTokens(tokens);
            List<string> bcc = new List<string>();
            foreach (NamedConfigurationElement ccAddress in storeSection.OrderConfirmationEmailAddresses) {
                bcc.Add(ccAddress.Name);
            }

            EmailManager.Send(host, emailTemplate, tokens, storeSection.SaleEmailAddress, new string[] { order.Email }, bcc);
        }


    }
}
