//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Configuration.Provider;

using XShan.DotShoppingCart.Common.Object;
using DSC = XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.OrderTotal {
    public class GrandTotalOrderTotalProvider : OrderTotalProvider {
        public const string OrderTotalName = "Order Total";

        #region Provider Specific Behaviors
        public override void Initialize(string name, NameValueCollection config) {
            // Assign the provider a default name if it doesn't have one
            if (String.IsNullOrEmpty(name))
                name = "GrandTotal OrderTotal Provider";

            base.Initialize(name, config);
        }
        #endregion

        public override DSC.OrderTotal GetOrderTotal(Cart cart, TaxLocation taxLocation, List<DSC.OrderTotal> orderTotals) {
            decimal total = 0;
            foreach (DSC.OrderTotal orderTotal in orderTotals) {
                total += orderTotal.Amount;
            }
            return new DSC.OrderTotal(OrderTotalName, total);
        }
    }
}
