//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Configuration;

using XShan.DotShoppingCart.Common.Object;
using DSC=XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.OrderTotal {
    public class OrderTotalService {
        public static List<DSC.OrderTotal> GetOrderTotals(Cart cart, TaxLocation taxLocation) {
            OrderTotalServiceConfigurationSection section = (OrderTotalServiceConfigurationSection)SqlConfigurationController.GetSection(OrderTotalServiceConfigurationSection.SectionName);
            if (null == section)
                return null;

            SortedList<int, OrderTotalProvider> providers = new SortedList<int, OrderTotalProvider>();
            foreach (ProviderSettings ps in section.Providers) {
                if (bool.Parse(ps.Parameters["enabled"])) {
                    OrderTotalProvider provider = (OrderTotalProvider)ProvidersHelper.InstantiateProvider(ps, typeof(OrderTotalProvider));
                    providers.Add(int.Parse(ps.Parameters["sortOrder"]), provider);
                }
            }

            List<DSC.OrderTotal> orderTotals = new List<DSC.OrderTotal>();
            foreach (OrderTotalProvider provider in providers.Values) {
                DSC.OrderTotal orderTotal = provider.GetOrderTotal(cart, taxLocation, orderTotals); 
                if (null != orderTotal)
                    orderTotals.Add(orderTotal);
            }
            return orderTotals;
        }
    }
}
