//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Configuration;

using XShan.DotShoppingCart.Common.Configuration;
using XShan.DotShoppingCart.Common;

namespace XShan.DotShoppingCart.Payment {
    public class CreditCardPaymentService {
        public static CreditCardPaymentProvider GetProvider() {
            return GetProvider(SiteNavigation.GetHost());
        }

        public static CreditCardPaymentProvider GetProvider(string host) {
            CreditCardPaymentServiceConfigurationSection pcs = (CreditCardPaymentServiceConfigurationSection)SqlConfigurationController.GetSection(host, CreditCardPaymentServiceConfigurationSection.SectionName);
            if (null == pcs)
                return NullCreditCardPaymentProvider.CreateInstance();
            ProviderSettings ps = pcs.Providers[pcs.DefaultProvider];
            //Initalize host which is not defined in the provider settings. The reason of not putting it in provider settings is to avoid data duplication.
            ps.Parameters["host"] = host;
            CreditCardPaymentProvider provider = (CreditCardPaymentProvider)ProvidersHelper.InstantiateProvider(ps, typeof(CreditCardPaymentProvider));
            return provider;
        }
    }
}
