//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration.Provider;
using System.Web.Configuration;
using System.Configuration;

using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.Payment {
    public class NullCreditCardPaymentProvider : CreditCardPaymentProvider {
        public override string Name {
            get { return "Don't accept Credit Card"; }
        }

        public override PaymentTransaction Authorize(Order order) {
            throw new Exception("The method or operation is not implemented.");
        }

        public override PaymentTransaction Capture(Order order) {
            throw new Exception("The method or operation is not implemented.");
        }

        public override PaymentTransaction Sale(Order order) {
            throw new Exception("The method or operation is not implemented.");
        }

        public override PaymentTransaction Refund(Order order, decimal amount) {
            throw new Exception("The method or operation is not implemented.");
        }

        public override List<ProviderAttribute> GetConfigurationSettings() {
            return new List<ProviderAttribute>(); //empty attributes
        }

        public static NullCreditCardPaymentProvider CreateInstance() {
            return (NullCreditCardPaymentProvider)ProvidersHelper.InstantiateProvider(
                new ProviderSettings("Don't accept Credit Card",
                "XShan.DotShoppingCart.Payment.NullCreditCardPaymentProvider, XShan.DotShoppingCart.Payment.CreditCardPayment"),
                typeof(NullCreditCardPaymentProvider));
        }
    }
}
