//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.Shipping {
    public abstract class ShippingProvider : DSCProvider {
        public abstract List<ShippingMethod> GetShippingMethods(ShippingPackage package);

        public abstract List<ShippingMethod> GetAllShippingMethods();

        //Admin UI related APIs
        public override List<ProviderAttribute> GetConfigurationSettings() {
            List<ProviderAttribute> configSettings = new List<ProviderAttribute>();
            configSettings.Add(new ProviderAttribute("enabled", "Enabled", ConfigurationValueType.Boolean));
            configSettings.Add(new ProviderAttribute("sortOrder", "Sort Order", ConfigurationValueType.String));
            return configSettings;
        }
    }
}
