//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

using XShan.DotShoppingCart.Common.Object;

namespace XShan.DotShoppingCart.Shipping {
    [Serializable]
    public class TableBasedShippingMethod {
        private string name;
        private int sortOrder;
        private RateTarget target;
        private RateUnit unit;
        private List<TableBasedShippingRegion> shippingRegions;

        public string Name {
            get { return name; }
            set { name = value; }
        }
        public int SortOrder {
            get { return sortOrder; }
            set { sortOrder = value; }
        }
        public RateTarget Target {
            get { return target; }
            set { target = value; }
        }
        public RateUnit Unit {
            get { return unit; }
            set { unit = value; }
        }
        public List<TableBasedShippingRegion> ShippingRegions {
            get { return shippingRegions; }
            set { shippingRegions = value; }
        }

        public TableBasedShippingMethod(string name, int sortOrder, RateTarget target, RateUnit unit) {
            this.name = name;
            this.sortOrder = sortOrder;
            this.target = target;
            this.unit = unit;
        }

        public void CopyValuesFrom(TableBasedShippingMethod src) {
            this.name = src.Name;
            this.sortOrder = src.SortOrder;
            this.target = src.Target;
            this.unit = src.Unit;
        }

        public static int Compare(TableBasedShippingMethod x, TableBasedShippingMethod y) {
            if (x.SortOrder == y.SortOrder)
                return 0;
            if (x.SortOrder < y.SortOrder)
                return -1;
            return 1;
        }
    }

    public enum RateTarget {
        TotalOrderAmount = 0,
        TotalOrderWeight
    }

    public enum RateUnit {
        Amount = 0,
        Percentage
    }
}
