//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace XShan.DotShoppingCart.Shipping {
    public class TableBasedShippingRateRange {
        private string min, max, value;

        public string Min {
            get { return min; }
            set { min = value; }
        }
        public string Max {
            get { return max; }
        }
        public string Value {
            get { return value; }
        }

        public TableBasedShippingRateRange(string min, string max, string value) {
            this.min = min;
            this.max = max;
            this.value = value;
        }

        public static List<TableBasedShippingRateRange> ConvertToRateRanges(SortedList<decimal, decimal> rates) {
            List<TableBasedShippingRateRange> ranges = new List<TableBasedShippingRateRange>();
            bool first = true;
            KeyValuePair<decimal, decimal> prev = new KeyValuePair<decimal, decimal>(0, 0);
            foreach (KeyValuePair<decimal, decimal> keyValue in rates) {
                if (first) {
                    first = false;
                } else {
                    ranges.Add(new TableBasedShippingRateRange(prev.Key.ToString(), keyValue.Key.ToString(), prev.Value.ToString()));
                }
                prev = keyValue;
            }
            if (!first) {
                // add the last one
                ranges.Add(new TableBasedShippingRateRange(prev.Key.ToString(), "Up", prev.Value.ToString()));
            }
            return ranges;
        }

    }
}
