//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Configuration;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.Tax {
    public static class TaxService {
        public static TaxProvider GetProvider() {
            return GetProvider(SiteNavigation.GetHost());
        }

        public static TaxProvider GetProvider(string host) {
            TaxServiceConfigurationSection pcs = (TaxServiceConfigurationSection)SqlConfigurationController.GetSection(host, TaxServiceConfigurationSection.SectionName);
            if (null == pcs)
                return new NullTaxProvider();
            ProviderSettings ps = pcs.Providers[pcs.DefaultProvider];
            TaxProvider provider = (TaxProvider)ProvidersHelper.InstantiateProvider(ps, typeof(TaxProvider));
            return provider;
        }
    }
}
