//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

namespace XShan.DotShoppingCart.Common {
    public static class AddressHelper {
        public static Address GetStoreAddress() {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            Address address = new Address();
            address.FirstName = address.LastName = "";
            address.CompanyName = storeSection.Name;
            address.Address1 = storeSection.LocationAddress;
            address.City = storeSection.LocationCity;
            address.State = storeSection.LocationState;
            address.Zipcode = storeSection.LocationZipcode;
            address.Phone = storeSection.Phone;
            address.PhoneExt = storeSection.PhoneExt;
            address.Country = Country.GetFromCodeISO3166(storeSection.LocationCountry);
            return address;
        }
    }
}
