//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace XShan.DotShoppingCart.Common.Configuration {
    public class AdminConfigurationSection : SerializableConfigurationSection {
        public const string SectionName = "adminConfiguration";
        private const string storeSKUProperty = "storeSKU";
        private const string dscOrderNumberProperty = "dscOrderNumber";

        [ConfigurationProperty(storeSKUProperty, IsRequired = true)]
        public string StoreSKU {
            get { return (string)this[storeSKUProperty]; }
            set { this[storeSKUProperty] = value; }
        }

        [ConfigurationProperty(dscOrderNumberProperty, IsRequired = true)]
        public string DSCOrderNumber {
            get { return (string)this[dscOrderNumberProperty]; }
            set { this[dscOrderNumberProperty] = value; }
        }
    }
}
