//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

namespace XShan.DotShoppingCart.Common.Configuration {
    public enum ConfigurationValueType {
        Boolean = 0,
        String,
        File,
        CustomType,
        Password
    }

    [Serializable]
    public class ProviderAttribute {
        private string name;
        private string displayName;
        private ConfigurationValueType type;
        private string controlType;
        private string value;

        public string DisplayName {
            get { return displayName; }
        }
        public string Name {
            get { return name; }
        }
        public ConfigurationValueType Type {
            get { return type; }
        }
        public string ControlType {
            get { return controlType; }
        }
        public string Value {
            get { return value; }
            set { this.value = value; }
        }

        public ProviderAttribute(string name, string displayName, ConfigurationValueType type) {
            this.name = name;
            this.displayName = displayName;
            this.type = type;
        }
        public ProviderAttribute(string name, ConfigurationValueType type, string controlType) {
            this.name = name;
            this.type = type;
            this.controlType = controlType;
        }
    }
}
