//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace XShan.DotShoppingCart.Common.Configuration {
    public abstract class ServiceConfigurationSection : SerializableConfigurationSection {
        private const string providersProperty = "providers";
        private const string defaultProviderProperty = "defaultProvider";

        [ConfigurationProperty(providersProperty, IsRequired = true)]
        public ProviderSettingsCollection Providers {
            get { return (ProviderSettingsCollection)this[providersProperty]; }
        }

        [ConfigurationProperty(defaultProviderProperty, IsRequired = true)]
        public string DefaultProvider {
            get { return (string)this[defaultProviderProperty]; }
            set { this[defaultProviderProperty] = value; }
        }
    }

}
