//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;
using System.Xml;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace XShan.DotShoppingCart.Common.Configuration {
    public static class SqlConfigurationController {
        public const string ConfigurationSourceName = "SiteConfigurationSource";

        public static ConfigurationSection GetSection(string sectionName) {
            IConfigurationSource configSource = ConfigurationSourceFactory.Create(ConfigurationSourceName);
            return configSource.GetSection(sectionName);
        }

        public static ConfigurationSection GetSection(string host, string sectionName) {
            return GetSection(sectionName);
        }

        public static void SaveSection(string sectionName, SerializableConfigurationSection section) {
            IConfigurationSource configSource = ConfigurationSourceFactory.Create(ConfigurationSourceName);

            //Bug/Feature in framework prevents target.Sections.Add(section.SectionInformation.Name, Section); 
            StringBuilder output = new StringBuilder();
            XmlWriterSettings settings = new XmlWriterSettings();
            using (XmlWriter writer = XmlWriter.Create(output, settings))
            {
                section.WriteXml(writer);
            }

            SerializableConfigurationSection clonedSection = Activator.CreateInstance(section.GetType()) as SerializableConfigurationSection;
            XmlDocument doc = new XmlDocument();
            doc.LoadXml(output.ToString());
            using (XmlNodeReader xmlReader = new XmlNodeReader(doc)) {
                clonedSection.ReadXml(xmlReader);
            }
            configSource.Add(sectionName, clonedSection);
        }

        public static void SaveSection(string host, string sectionName, SerializableConfigurationSection section) {
            SaveSection(sectionName, section);
        }
    }
}
