//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;

namespace XShan.DotShoppingCart.Common {
    using Configuration;

    public static class Constant {
        public static class DBRelation {
            public const string USER_ADDRESS = "user_address";
            public const string COUNTRY_ADDRESS = "country_address";
            public const string PRODUCT_MANUFACTURER = "product_manufacturer";
            public const string PRODUCT_STATUS = "product_status";
            public const string PRODUCT_PRODUCTTYPE = "product_producttype";
            public const string PRODUCT_SHIPTYPE = "product_shiptype";
            public const string PRODUCT_SHIPESTIMATE = "product_shipestimate";
            public const string PRODUCT_TAXTYPE = "product_taxtype";
            public const string PRODUCT_MEASURE_WEIGHT = "product_weightmeasure";
            public const string PRODUCT_MEASURE_DIMENSION = "product_dimensionmeasure";

            public const string PRODUCT_IMAGE = "product_image";
            public const string PRODUCT_ATTRIBUTE = "product_attribute";
            public const string PRODUCTATTRIBUTE_ATTRIBUTE = "productattribute_attribute";
            public const string PRODUCT_ATTRIBUTEVALUE = "product_attributevalue";
            public const string ATTRIBUTE_SELECTIONTYPEDISPLAYCONTROL = "attribute_selectiontypedisplaycontrol";
            public const string SELECTIONTYPEDISPLAYCONTROL_SELECTIONTYPE = "selectiontypedisplaycontrol_selectiontype";
            public const string SELECTIONTYPEDISPLAYCONTROL_DISPLAYCONTROL = "selectiontypedisplaycontrol_displaycontrol";
            public const string PRODUCT_DESCRIPTOR = "product_descriptor";

            public const string CATEGORY_PRICERANGE_COUNT = "category_pricerange_count";
            public const string CATEGORY_MANUFACTURER_COUNT = "category_manufacturer_count";
            public const string MANUFACTURER_MANUFACTURER_COUNT = "manufacturer_manufacturer_count";

            public const string CART_CARTITEM = "cart_cartitem";
            public const string CARTITEM_PRODUCT = "cartitem_product";

            public const string CREDITCARD_CREDITCARDTYPE = "creditcard_creditcardtype";

            public const string ORDER_ORDERSTATUS = "order_orderstatus";
            public const string ORDER_ORDERTOTAL = "order_ordertotal";
            public const string ORDER_SHIPPINGADDRESS = "order_shippingAddress";
            public const string ORDER_BILLINGADDRESS = "order_billingAddress";
            public const string ORDER_CHECKOUTPAYMENTTYPE = "order_checkoutpaymenttype";
            public const string ORDER_ORDERITEM = "order_orderitem";
            public const string ORDER_ORDERNOTE = "order_ordernote";
            public const string ORDER_PAYMENTTRANSACTION = "order_paymenttransaction";
            public const string ORDER_CREDITCARD = "order_credit";

            public const string ORDERITEM_SHIPTRACKING = "orderitem_shiptracking";
            public const string SHIPTRACKING_SHIPCARRIER = "shiptracking_shipcarrier";

            public const string PAGE_PARAGRAPH = "page_paragraph";
            public const string SIDEBOX_SIDEBOXTYPE = "sidebox_sideboxtype";

            public const string USERONLINE_CART = "useronline_cart";

            public const string PRODUCTREVIEW_PRODUCT = "productreview_product";
        }

        public static class DB {
            public const string RootConnectionStringName = "DSCMaster";
            public const char ListSeparator = ',';
            public const char FieldSeparator = ';';
            public const string CategoryPathSeparator = ":";
            public const string NullString = "NULL";
            public static readonly DateTime DBDateTimeMinValue = new DateTime(1900, 1, 1);
            public static readonly DateTime DBDateTimeMaxValue = new DateTime(2079, 6, 5);
            public const int MaxPriceRangeValue = int.MaxValue;
            public const int OrderStatusOrderConfirmationEmail = 1;
            public const int OrderStatusCreditCardAuthorization = 2;
            public const int OrderStatusCompleteId = 7; // This must match the order complete status defined in DSC_Order_Status_lkp
            public const int OrderStatusCanceledId = 90;
            public const int OrderStatusUnderReview = 99;
            public const int OrderStatusGoogleCheckoutAuthorization = 10;
            public const int OrderStatusPaypalStandardAwaitingPayment = 18;

            public const string AnonymousUsername = "Anonymous";

        }

        public static class UI {
            public const string SelectAttributeFormat = "[Please Select {0}]";
            public static readonly string SelectAttributeShortFormat = SelectAttributeFormat.Substring(0, 10);
            public const string HeaderParagraphName = "header";
            public const string FooterParagraphName = "footer";
            public const string CheckoutPolicyParagraphName = "checkoutPolicy";
            public const string ReturnPolicyParagraphName = "returnPolicy";
            public const string OrderCompleteParagraphName = "orderComplete";
            public const string ProductsHeaderParagraphName = "productsHeader";
            public const string OverrideThemeStypeSheetTemplateName = "Default.css";
            public const string OverrideThemeSkinTemplateName = "Default.skin";
            public const string ProductSummaryTemplateName = "ProductSummary";
            public const int PageJumpCount = 3;
            public const string SessionKeyEnablePageEditor = "enablePageEditor";
            public const string ControlToken = "%%";
            public const int StaticCacheTimeout = 3; //3 hours
            public const int NewItemTimespan = 60; //products published within 60 days are considered new
            public static readonly string[] ColorNames = new string[]
            {
                "Fore Color",
                "Background Color",
                "HyperLink Color",
                "HyperLink Hover Color",
                "Border Color",
                "Horizontal Rule Color",
                "Highlight Header Fore Color",
                "Section Header Background Color",
                "Accent Fore Color",
                "Accent Background Color",
                "Accent Background Gradient Start Color",
                "Accent Highlight Fore Color",
                "Accent Highlight Background Color",
                "Accent Highlight Background Gradient Start",
                "Button Text Color",
                "Button Gradient Start Color",
                "Button Gradient End Color",
                "Button Background Color",
            };
        }

        public static class Security {
            public const string SymmetricInstance = "RijndaelManaged";
            public const string AdminRole = "Administrator";
            public const string UpgradePW = "abc~!@123";
        }

        public static class Shipping {
            public const string DownloadMethodName = "Download/Service";
        }

        public static class OrderPipeline {
            public const string RecurringOrderPipeline = "Recurring";
        }

        public static class DSC {
            public const bool LogUnknownUserAgent = false;
            public const int HostMaxLength = 30;
            public const string HostName = "dotshoppingcart";
            public const string DBServer = "localhost";
            public const string WebServer = "localhost";
            public static readonly string ShadowServer = DSCConfigurationSection.GetSection().DSC.Get("ShadowServer").Value;
            public static readonly string DSCWebRootPath = DSCConfigurationSection.GetSection().DSC.Get("DSCWebRootPath").Value;
            public const string DBRootPath = @"c:\dbdata";
            public static readonly string FixedHostName = 
                DSCConfigurationSection.GetSection().DSC.Contains("FixedHostName") ?
                DSCConfigurationSection.GetSection().DSC.Get("FixedHostName").Value : null;
            public static readonly bool IsPublicEdition = !string.IsNullOrEmpty(FixedHostName);
        }

        public static class Cache {
            public const double expireInMinutes = 1440; //24 hours
        }
    }
}
