//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.IO;

namespace XShan.DotShoppingCart.Common {
    public class DBDeployment {
        public static void CreateDSCDatabase(string server, string dbName, string path) {
            string sqlcmdArgFormat =
                "-E -S {0} -v DatabaseName=\"{1}\" PrimaryFilePhysicalName=\"{2}\\{1}.mdf\" PrimaryLogFilePhysicalName=\"{2}\\{1}_log.ldf\"" +
                " DBDataPath=\"{2}\" -i \"" + Utils.GetInstallPath() + "\\CreateDB.sql\" -b";

            string fulltextPath = string.Format(@"{0}\FTData\{1}", path, dbName);
            Utils.EnsurePathExist(fulltextPath);

            RunCmd cmd = new RunCmd();
            cmd.RunProcess("sqlcmd", string.Format(sqlcmdArgFormat, server, dbName, path));
        }

        public static void DeleteDatabase(string server, string dbName) {
            //string sqlcmdArgFormat =
            //    "-E -S {0} -v DatabaseName=\"{1}\" -i \"" + Utils.GetInstallPath() + "\\DeleteDB.sql\"";

            //Todo: change to above line when calling this code from orderpipeline service
            string sqlcmdArgFormat =
                "-E -S {0} -v DatabaseName=\"{1}\" -i \"" + Utils.GetInstallPath() + "\\DeleteDB.sql\"";

            RunCmd cmd = new RunCmd();
            cmd.RunProcess("sqlcmd", string.Format(sqlcmdArgFormat, server, dbName));
        }
    }
}
