//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common {
    public static class DBHelper {
        public static int? ToNullableInt(object o) {
            if (DBNull.Value == o) {
                return null;
            }
            return (int)o;
        }

        public static decimal? ToNullableDecimal(object o) {
            if (DBNull.Value == o) {
                return null;
            }
            return (decimal)o;
        }

        public static bool? ToNullableBoolean(object o) {
            if (DBNull.Value == o) {
                return null;
            }
            return (bool)o;
        }

        public static DateTime? ToNullableDateTime(object o) {
            if (DBNull.Value == o) {
                return null;
            }
            return (DateTime)o;
        }

        public static DataSet ExecuteSQL(string sproc, params object[] parameterValues) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = parameterValues.Length > 0 ? db.GetStoredProcCommand(sproc, parameterValues) : db.GetStoredProcCommand(sproc);
            return db.ExecuteDataSet(cmd);
        }
    }
}
