//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class CategoryInformation {
        private string path;
        private int id, featureSortOrder;
        private bool isFeatured;

        public string Path {
            get { return path; }
        }
        public int Id {
            get { return id; }
        }
        public bool IsFeatured {
            get { return isFeatured; }
            set { isFeatured = value; }
        }
        public int FeatureSortOrder {
            get { return featureSortOrder; }
            set { featureSortOrder = value; }
        }

        public CategoryInformation(string path, int id, bool isFeatured, int featureSortOrder) {
            this.path = path;
            this.id = id;
            this.isFeatured = isFeatured;
            this.featureSortOrder = featureSortOrder;
        }

        public static Dictionary<int, CategoryInformation> GetFromCategory(ICollection<Category> categories) {
            Dictionary<int, CategoryInformation> cis = new Dictionary<int, CategoryInformation>();
            foreach (Category c in categories) {
                cis.Add(c.CategoryId, new CategoryInformation(c.FullPath, c.CategoryId, c.IsFeatured, c.FeaturedSortOrder));
            }
            return cis;
        }
    }
}
