//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Collections.Generic;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class CategoryStatistics : ILoadFromDataRow {
        private int productCount, productQuantity;

        public int ProductCount {
            get { return productCount; }
        }
        public int ProductQuantity {
            get { return productQuantity; }
        }

        #region Constructors
        public CategoryStatistics() {
        }

        public bool LoadFromDataRow(DataRow row) {
            productCount = DBHelper.ToNullableInt(row["productCount"]) ?? 0;
            productQuantity = DBHelper.ToNullableInt(row["productQuantity"]) ?? 0;
            return true;
        }
        #endregion

        public static CategoryStatistics Get(int categoryId) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Category_GetStatistics", categoryId);
            DataSet ds = db.ExecuteDataSet(cmd);

            RecordList<CategoryStatistics> statistics = new RecordList<CategoryStatistics>(ds.Tables[0]);
            return statistics[0];
        }
    }
}
