//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class CheckoutPaymentType : ILoadFromDataRow {
        private int checkoutPaymentTypeId;
        private string type;

        public int CheckoutPaymentTypeId {
            get { return checkoutPaymentTypeId; }
        }
        public string Type {
            get { return type; }
        }
        public CheckoutPaymentTypeEnum TypeEnum {
            get { return (CheckoutPaymentTypeEnum)checkoutPaymentTypeId; }
        }

        public CheckoutPaymentType() {
        }

        public bool LoadFromDataRow(DataRow row) {
            checkoutPaymentTypeId = (int)row["checkoutPaymentTypeId"];
            type = (string)row["type"];
            return true;
        }
    }

    public enum CheckoutPaymentTypeEnum {
        CreditCard = 1, // need to keep this sync with DSC_CheckoutPayment_Type_lkp
        PaypalExpress = 2,
        GoogleCheckout = 3,
        Null = 4,
        PaypalStandard = 5
    }
}
