//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class Condition {
        private string property, value;
        private ConditionOperator conditionOperator;
        public string Property {
            get { return property; }
            set { property = value; }
        }
        public string Value {
            get { return value; }
            set { this.value = value; }
        }
        public ConditionOperator ConditionOperator {
            get { return conditionOperator; }
            set { conditionOperator = value; }
        }

        public Condition(string property, ConditionOperator conditionOperator, string value) {
            this.property = property;
            this.conditionOperator = conditionOperator;
            this.value = value;
        }
    }

    public enum ConditionOperator {
        Equal = 0,
        NotEqual
    }
}
