//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class DisplayControl : ILoadFromDataRow {
        private int displayControlId;
        private string type;

        public int DisplayControlId {
            get { return displayControlId; }
            set { displayControlId = value; }
        }
        public string Type {
            get { return type; }
            set { type = value; }
        }

        public DisplayControl() {
        }

        public DisplayControl(int displayControlId, string type) {
            this.displayControlId = displayControlId;
            this.type = type;
        }

        public bool LoadFromDataRow(DataRow row) {
            displayControlId = (int)row["displayControlId"];
            type = (string)row["type"];
            return true;
        }

        public static DisplayControl[] GetAll() {
            return GetAll(null);
        }

        public static DisplayControl[] GetAll(int? selectionTypeId) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_DisplayControl_GetAll", selectionTypeId);
            DataSet ds = db.ExecuteDataSet(cmd);

            RecordList<DisplayControl> displayControls = new RecordList<DisplayControl>(ds.Tables[0]);
            return displayControls.ToArray();
        }
    }
}
