//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class GoogleCheckoutNotification : ILoadFromDataRow {
        private int notificationId;
        private string message;
        private DateTime created;
        //private int statusId;

        public int NotificationId {
            get { return notificationId; }
        }
        public string Message {
            get { return message; }
        }
        public DateTime Created {
            get { return created; }
        }

        public GoogleCheckoutNotification() {
        }

        public bool LoadFromDataRow(DataRow row) {
            notificationId = (int)row["notificationId"];
            message = (string)row["message"];
            created = (DateTime)row["created"];
            return true;
        }

        public static int Add(string xml) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_GoogleCheckout_Notification_Add", xml);
            object output = db.ExecuteScalar(cmd);
            return int.Parse(output.ToString());
        }

        public static GoogleCheckoutNotification Get(int notificationId) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_GoogleCheckout_Notification_Get", notificationId);
            DataSet ds = db.ExecuteDataSet(cmd);

            RecordList<GoogleCheckoutNotification> notifications = new RecordList<GoogleCheckoutNotification>(ds.Tables[0]);
            if ((null != notifications) && (notifications.Count > 0))
                return notifications[0];
            return null;
        }
    }
}
