//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ManufacturerCount : ILoadFromDataRow {
        private int categoryId, count;
        private Manufacturer manufacturer;

        public int CategoryId {
            get { return categoryId; }
        }
        public int Count {
            get { return count; }
        }
        public Manufacturer Manufacturer {
            get { return manufacturer; }
        }

        public ManufacturerCount() {
        }

        public bool LoadFromDataRow(DataRow row) {
            categoryId = (int)row["categoryId"];
            count = (int)row["count"];

            // Manufacturer
            if (row.Table.DataSet.Relations.Contains(Constant.DBRelation.MANUFACTURER_MANUFACTURER_COUNT)) {
                // expect only one record
                manufacturer = new RecordList<Manufacturer>(row.GetParentRows(Constant.DBRelation.MANUFACTURER_MANUFACTURER_COUNT))[0];
            } else {
                throw new ApplicationException("Manufacturer data is expected when loading ManufacturerCount.");
            }
            return true;
        }
    }
}
