//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class Measure : ILoadFromDataRow {
        private int id, sortOrder;
        private string measure;

        public int Id {
            get { return id; }
        }
        public string MeasureName {
            get { return measure; }
        }
        public int SortOrder {
            get { return sortOrder; }
        }

        public Measure() {
        }

        public bool LoadFromDataRow(DataRow row) {
            id = (int)row["Id"];
            measure = (string)row["measure"];
            sortOrder = (int)row["sortOrder"];
            return true;
        }

        public static List<Measure> GetAll(string sprocName) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_" + sprocName + "_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);
            return new RecordList<Measure>(ds.Tables[0]);
        }

        public static int Add(string sprocName, string measureName, int sortOrder) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_" + sprocName + "_Add", measureName, sortOrder);
            object output = db.ExecuteScalar(cmd);
            return int.Parse(output.ToString());
        }

        public static void Update(string sprocName, int Id, string measureName, int sortOrder) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_" + sprocName + "_Update", Id, measureName, sortOrder);
            db.ExecuteNonQuery(cmd);
        }

        public static void Delete(string sprocName, int Id) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_" + sprocName + "_Delete", Id);
            db.ExecuteNonQuery(cmd);
        }
    }
}
