//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class OrderCount : ILoadFromDataRow {
        private OrderStatus status;
        private int count;

        public int Count {
            get { return count; }
        }
        public OrderStatus Status {
            get { return status; }
        }

        public OrderCount() {
        }

        public bool LoadFromDataRow(DataRow row) {
            count = (int)row["count"];
            status = new OrderStatus();
            status.LoadFromDataRow(row);
            return true;
        }

        public static List<OrderCount> GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_OrderCount_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);

            return new RecordList<OrderCount>(ds.Tables[0]);
        }
    }
}
