//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class PaypalPayer {
        private PaypalPaymentInfo paypalPaymentInfo;
        private Address address;
        private string paypalCountryName;

        public PaypalPaymentInfo PaypalPaymentInfo {
            get { return paypalPaymentInfo; }
        }
        public Address Address {
            get { return address; }
        }
        public string PaypalCountryName {
            get { return paypalCountryName; }
            set { paypalCountryName = value; }
        }
        
        public PaypalPayer() {
            paypalPaymentInfo = new PaypalPaymentInfo();
            address = new Address();
        }
        
        public bool IsCountryValid {
            get { return null != address.Country; }
        }

        public bool IsPayerValid {
            get { return !string.IsNullOrEmpty(paypalPaymentInfo.PayerId); }
        }
    }
}
