//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class PriceRange : ILoadFromDataRow {
        private int categoryId;
        private decimal priceFrom, priceTo;
        private int count;

        public int CategoryId {
            get { return categoryId; }
        }
        public decimal PriceFrom {
            get { return priceFrom; }
            set { priceFrom = value; }
        }
        public decimal PriceTo {
            get { return priceTo; }
        }
        public int Count {
            get { return count; }
        }

        public PriceRange() {
        }

        public bool LoadFromDataRow(DataRow row) {
            categoryId = (int)row["categoryId"];
            priceTo = (decimal)row["priceUpperBound"];
            count = (int)row["count"];
            return true;
        }
        public static void SetPriceFrom(PriceRange[] prices) {
            decimal priceFrom = 0;
            foreach (PriceRange price in prices) {
                price.priceFrom = priceFrom;
                priceFrom = price.PriceTo;
            }
        }
        public override string ToString() {
            if (Constant.DB.MaxPriceRangeValue == priceTo) {
                return string.Format("{0:c}+", priceFrom);
            } else {
                return string.Format("{0:c} - {1:c}", priceFrom, priceTo);
            }
        }
    }
}
