//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class ProductAttributeValue : ILoadFromDataRow {
        private int productAttributeValueId;
        private string attributeValue;
        private decimal priceAdjustment;
        private int? quantity, imageId;

        public int ProductAttributeValueId {
            get { return productAttributeValueId; }
        }
        public string Value {
            get { return attributeValue; }
            set { attributeValue = value; }
        }
        public decimal PriceAdjustment {
            get { return priceAdjustment; }
            set { priceAdjustment = value; }
        }
        public int? Quantity {
            get { return quantity; }
            set { quantity = value; }
        }
        public int? ImageId {
            get { return imageId; }
            set { imageId = value; }
        }

        public ProductAttributeValue() {
        }

        public ProductAttributeValue(int? imageId, string attributeValue, int? quantity, decimal priceAdjustment ) {
            this.imageId = imageId;
            this.attributeValue = attributeValue;
            this.quantity = quantity;
            this.priceAdjustment = priceAdjustment;
        }

        public bool LoadFromDataRow(DataRow row) {
            productAttributeValueId = (int)row["productAttributeValueId"];
            attributeValue = (string)row["value"];
            priceAdjustment = (decimal)row["priceAdjustment"];
            quantity = DBHelper.ToNullableInt(row["quantity"]);
            imageId = DBHelper.ToNullableInt(row["imageId"]);
            return true;
        }
    }
}

