//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class ProductDescriptor : ILoadFromDataRow {
        private int descriptorId, sortOrder;
        private string title, descriptor;
        private bool isBulletedList;

        public int DescriptorId {
            get { return descriptorId; }
        }
        public string Title {
            get { return title; }
            set { title = value; }
        }
        public string Descriptor {
            get { return descriptor; }
            set { descriptor = value; }
        }
        public bool IsBulletedList {
            get { return isBulletedList; }
            set { isBulletedList = value; }
        }
        public int SortOrder {
            get { return sortOrder; }
        }

        public ProductDescriptor() {
        }

        public ProductDescriptor(string title, string descriptor, bool isBulletedList) {
            this.title = title;
            this.descriptor = descriptor;
            this.isBulletedList = isBulletedList;
        }

        public bool LoadFromDataRow(DataRow row) {
            descriptorId = (int)row["descriptorId"];
            title = (string)row["title"];
            descriptor = (string)row["descriptor"];
            isBulletedList = (bool)row["isBulletedList"];
            sortOrder = (int)row["sortOrder"];
            return true;
        }
    }
}
