//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ProductExtraInformation : ILoadFromDataRow {
        private int productId;
        private string storeLocation, adminComments;

        public int ProductId {
            get { return productId; }
        }
        public string StoreLocation {
            get { return storeLocation; }
        }
        public string AdminComments {
            get { return adminComments; }
        }

        public ProductExtraInformation() {
        }

        public bool LoadFromDataRow(DataRow row) {
            productId = (int)row["productId"];
            storeLocation = row["storeLocation"] as string;
            adminComments = row["adminComments"] as string;
            return true;
        }
    }
}
