//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using System.Web;
using System.Collections.Generic;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ProductNotification : ILoadFromDataRow {
        #region Member Variables
        private int productId;
        private string email;
        #endregion

        #region Properties
        public int ProductId {
            get { return productId; }
        }
        public string Email {
            get { return email; }
        }
        #endregion
        
        #region Constructors
        public ProductNotification() {
        }

        public bool LoadFromDataRow(DataRow row) {
            productId = (int)row["productId"];
            email = (string)row["email"];
            return true;
        }
        #endregion

        public static List<ProductNotification> GetByProductId(int productId) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Product_Notification_Get", productId);
            DataSet ds = db.ExecuteDataSet(cmd);

            return new RecordList<ProductNotification>(ds.Tables[0]);
        }

        public static void Add(int productId, string email) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Product_Notification_Add", productId, email);
            db.ExecuteNonQuery(cmd);
        }

        public static void Delete(int productId) {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Product_Notification_Delete", productId);
            db.ExecuteNonQuery(cmd);
        }
    }
}
