//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ProductReviewStatus : ILoadFromDataRow {
        private int productReviewStatusId;
        private string status;

        public int ProductReviewStatusId {
            get { return productReviewStatusId; }
        }
        public string Status {
            get { return status; }
        }

        public ProductReviewStatus() {
        }

        public bool LoadFromDataRow(DataRow row) {
            productReviewStatusId = (int)row["productReviewStatusId"];
            status = (string)row["status"];
            return true;
        }
        public static List<ProductReviewStatus> GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Product_ReviewStatus_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);
            return new RecordList<ProductReviewStatus>(ds.Tables[0]);
        }
    }
}
