//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ProductType : ILoadFromDataRow {
        private int productTypeId;
        private string type;

        public int ProductTypeId {
            get { return productTypeId; }
        }
        public string Type {
            get { return type; }
        }

        public ProductType() {
        }

        public bool LoadFromDataRow(DataRow row) {
            productTypeId = (int)row["productTypeId"];
            type = (string)row["productType"];
            return true;
        }

        public List<ProductType> GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_ProductType_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);
            return new RecordList<ProductType>(ds.Tables[0]);
        }
    }

    public enum ProductTypeEnum {
        General = 1, // need to keep this sync with DSC_Product_Type_lkp
        RegistrationCodeAutoGen = 2,
        GiftCertificate = 3
    }
}
