//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Collections;
using System.Collections.Generic;


namespace XShan.DotShoppingCart.Common.Object {
    [Serializable]
    public class RecordList<T> : List<T> where T: ILoadFromDataRow, new() {

        public RecordList(IEnumerable rows) {
            foreach (DataRow row in rows) {
                T t = new T();
                if (t.LoadFromDataRow(row))
                    Add(t);
            }
        }

        public RecordList(DataTable dt) : this(dt.Rows) {
        }
    }
}
