//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class Referral : ILoadFromDataRow {
        private int referralId;
        private string source;
        private int sortOrder;

        public int ReferralId {
            get { return referralId; }
        }

        public string Source {
            get { return source; }
            set { source = value; }
        }

        public int SortOrder {
            get { return sortOrder; }
            set { sortOrder = value; }
        }

        public Referral() {
        }

        public bool LoadFromDataRow(DataRow row) {
            referralId = (int)row["referralId"];
            source = row["source"] as string;
            sortOrder = (int)row["sortOrder"];
            return true;
        }

        public Referral[] GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_Referral_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);
            
            RecordList<Referral> referrals = new RecordList<Referral>(ds.Tables[0]);
            return referrals.ToArray();
        }

    }
}
