//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ShipCarrier : ILoadFromDataRow {
        private int carrierId;
        private string name, trackingUrlFormat;

        public int CarrierId {
            get { return carrierId; }
        }
        public string Name {
            get { return name; }
        }
        public string TrackingUrlFormat {
            get { return trackingUrlFormat; }
        }

        public ShipCarrier() {
        }

        public bool LoadFromDataRow(DataRow row) {
            carrierId = (int)row["carrierId"];
            name = (string)row["name"];
            trackingUrlFormat = (string)row["trackingUrlFormat"];
            return true;
        }

        public static List<ShipCarrier> GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_ShipCarrier_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);

            return new RecordList<ShipCarrier>(ds.Tables[0]);
        }
    }
}
