//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class ShipType : ILoadFromDataRow {
        private int shipTypeId;
        private string type;
        private bool isDownloadable;

        public int ShipTypeId {
            get { return shipTypeId; }
        }
        public string Type {
            get { return type; }
        }
        public bool IsDownloadable {
            get { return isDownloadable; }
        }

        public ShipType() {
        }

        public bool LoadFromDataRow(DataRow row) {
            shipTypeId = (int)row["shipTypeId"];
            type = (string)row["type"];
            isDownloadable = (bool)row["isDownloadable"];
            return true;
        }

        public static ShipType[] GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_ShipType_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);

            RecordList<ShipType> shipTypes = new RecordList<ShipType>(ds.Tables[0]);
            return shipTypes.ToArray();
        }
    }
}
