//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace XShan.DotShoppingCart.Common.Object {
    public class TaxType : ILoadFromDataRow {
        private int taxTypeId;
        private string type;
        private bool isExempt;

        public int TaxTypeId {
            get { return taxTypeId; }
        }
        public string Type {
            get { return type; }
        }
        public bool IsExempt {
            get { return isExempt; }
        }

        public TaxType() {
        }

        public bool LoadFromDataRow(DataRow row) {
            taxTypeId = (int)row["taxTypeId"];
            type = (string)row["type"];
            isExempt = (bool)row["isExempt"];
            return true;
        }

        public TaxType[] GetAll() {
            Database db = DBController.CreateDatabase();
            DbCommand cmd = db.GetStoredProcCommand("DSC_TaxType_GetAll");
            DataSet ds = db.ExecuteDataSet(cmd);

            RecordList<TaxType> taxTypes = new RecordList<TaxType>(ds.Tables[0]);
            return taxTypes.ToArray();
        }
    }
}
