//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.IO;
using System.Xml;

namespace XShan.DotShoppingCart.Common.Object {
    public class Theme {
        private string name, overviewImageUrl;

        public string Name {
            get { return name; }
        }
        public string OverviewImageUrl {
            get { return overviewImageUrl; }
        }

        public Theme(string name, string overviewImageUrl) {
            this.name = name;
            this.overviewImageUrl = overviewImageUrl;
        }

        public static List<Theme> GetAll() {
            List<Theme> themes = new List<Theme>();
            foreach (string path in Directory.GetDirectories(WebUtils.GetThemesTemplateRoot())) {
                string theme = Path.GetFileName(path);
                XmlDocument themeConfig = WebUtils.LoadThemeConfigXml(theme);
                themes.Add(new Theme(theme,
                    WebUtils.GetThemeThumbnailImageUrl(theme, themeConfig.DocumentElement.SelectSingleNode("ColorTemplates/ColorTemplate[1]").Attributes["thumbnail"].Value)));
            }

            return themes;
        }
    }
}
