//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

namespace XShan.DotShoppingCart.Common.Object {
    public class Year {
        private string yearIn4Digials;

        public string YearIn4Digials {
            get { return yearIn4Digials; }
        }

        public Year(int year) {
            this.yearIn4Digials = year.ToString("0000");
        }

        public static List<Year> GetNextYears() {
            return GetNextYears(10);
        }

        public static List<Year> GetNextYears(int count) {
            List<Year> Years = new List<Year>();
            for (int i = DateTime.Now.Year; i < DateTime.Now.Year + count; i++) {
                Years.Add(new Year(i));
            }
            return Years;
        }
    }
}
