//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace XShan.DotShoppingCart.Common {
    public class ValidatableUserControl : UserControl {
        virtual public string ValidationGroup {
            set {
                foreach (Control control in Controls) {
                    if (control is BaseValidator) {
                        ((BaseValidator)control).ValidationGroup = value;
                    }
                }
            }
        }

        virtual public string ErrorMessagePrefix {
            set {
                foreach (Control control in Controls) {
                    if (control is BaseValidator) {
                        ((BaseValidator)control).ErrorMessage = value + ((BaseValidator)control).ErrorMessage;
                    }
                }
            }
        }
    }
}
