<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="AddProductWizard.aspx.cs" Inherits="Admin_Catalog_AddProductWizard" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ProductCategoryMap" src="Controls/ProductCategoryMap.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductBasic" src="Controls/ProductBasic.ascx" %>
<%@ Register tagprefix="dsc" tagname="ImageUploader" src="~/Controls/UploadImages.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductAttribute" src="Controls/ProductAttribute.ascx" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-top:10px;">
        <h4 style="text-align:center;">Add Product Wizard</h4>
        <asp:MultiView id="mvwAddProduct" runat="server" activeviewindex="1">
            <asp:View id="vwMissingCategory" runat="server">
                <div style="color:Red;">
                    There is no category defined. You have to add at least one category before you can add product.
                </div>
                <div style="margin-top:4px;">
                    Please click <a href='<%= SiteNavigation.CategoriesPage %>'>Categories</a> to start adding category.
                </div>
            </asp:View>
            <asp:View id="vwAddProduct" runat="server">
                <asp:ValidationSummary id="vds" runat="server" headertext="<b>The following error(s) were found:</b>" 
                    showsummary="true"  />
                <asp:Wizard id="addProductWizard" runat="server"
                    onnextbuttonclick="addProductWizard_NextButtonClick" onfinishbuttonclick="addProductWizard_FinishButtonClick" >
                    <SideBarTemplate>
                        <asp:DataList ID="SideBarList" runat="server">
                            <ItemStyle cssclass="wizardSideBarItem" />
                            <SelectedItemStyle cssclass="wizardSideBarSelectedItem" />
                            <ItemTemplate>
                                <asp:LinkButton id="SideBarButton" runat="server" font-underline="false"></asp:LinkButton>
                            </ItemTemplate>
                        </asp:DataList>
                    </SideBarTemplate>
                    <WizardSteps>
                        <asp:WizardStep id="WizardStep1" runat="server" title="Categories">
                            <div style="margin-top:10px; margin-bottom:30px;">
                                <dsc:ProductCategoryMap id="productCategoryMap" runat="server" readonly="false" />
                                <asp:CustomValidator id="cvdProductCategoryMap" runat="server" onservervalidate="cvdProductCategoryMap_ServerValidate" 
                                    errormessage="At least one category must be assigned." >*</asp:CustomValidator>
                            </div>
                        </asp:WizardStep>
                        <asp:WizardStep id="WizardStep2" runat="server" title="Basic">
                            <dsc:ProductBasic id="productBasic" runat="server" mode="Edit" />
                        </asp:WizardStep>
                        <asp:WizardStep id="WizardStep3" runat="server" title="Images">
                            <div style="margin-top:10px; margin-bottom:30px;">
                                <div>Add images to this product if needed. You could add multiple images at once.</div>
                                <dsc:ImageUploader id="iupProductImage" runat="server" readonly="false" />
                            </div>
                        </asp:WizardStep>
                        <asp:WizardStep id="WizardStep4" runat="server" title="Attributes">
                            <div style="margin-top:10px; margin-bottom:30px;">
                                <div>Add attributes (e.g. Size, Color) to this product if needed.</div>
                                <dsc:ProductAttribute id="productAttributes" runat="server" readonly="false" />
                            </div>
                        </asp:WizardStep>
                    </WizardSteps>
                    <StartNavigationTemplate>
                        <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext"
                             tooltip="Move to the next step." />
                    </StartNavigationTemplate>
                    <StepNavigationTemplate>
                        <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                            tooltip="Move to the previous step." />
                        <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext" 
                             tooltip="Move to the next step." />
                    </StepNavigationTemplate>
                    <FinishNavigationTemplate>
                        <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                            tooltip="Move to the previous step." />
                        <asp:ImageButton id="btnFinish" runat="server" skinid="MoveComplete" commandname="MoveComplete" 
                             tooltip="Complete the wizard." />
                    </FinishNavigationTemplate>
                </asp:Wizard>
            </asp:View>
            <asp:View id="vwSummary" runat="server">
                <div class="success" style="margin-top:10px; margin-bottom:20px;">You have successfully added your product!</div>
                <table style="margin-bottom:20px;">
                    <tr>
                        <td>Product Name:</td>
                        <td><asp:Label id="lblProductName" runat="server"></asp:Label></td>
                    </tr>
                    <tr>
                        <td>SKU:</td>
                        <td><asp:Label id="lblSKU" runat="server"></asp:Label></td>
                    </tr>
                    <tr>
                        <td>Price:</td>
                        <td><asp:Label id="lblPrice" runat="server"></asp:Label></td>
                    </tr>
                </table>
                <div style="margin-bottom:4px;"><asp:HyperLink id="lnkAdvanced" runat="server" text="Continue additional product options"></asp:HyperLink></div>
                <div><a href='<%= SiteNavigation.AddProductWizardPage %>'>Add another product</a></div>
            </asp:View>
            <asp:View id="vwReachMaximum" runat="server">
                <div style="color:Red;">
                    You has reached the maximum number of products that Express Store supports. If you wish to upgrade your store, please visit <a href='http://www.dotshoppingcart.com'>Store Upgrade</a>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>

