//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common;

public partial class Admin_Catalog_AddProductWizard : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            Category[] categories = Category.GetCategories(0, 1); //top level categories only
            if ((null == categories) || (0 == categories.Length))
                mvwAddProduct.SetActiveView(vwMissingCategory);

            productBasic.DataBind();
            productAttributes.DataBind();
        }
    }

    protected void cvdProductCategoryMap_ServerValidate(object source, ServerValidateEventArgs args) {
        args.IsValid = productCategoryMap.Categories.Count > 0;
    }

    protected void addProductWizard_NextButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
    }

    protected void addProductWizard_FinishButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
        if (!e.Cancel) {
            int productId = Product.Add(productBasic.ProductName, productBasic.SKU, productBasic.ShortDescription, productBasic.Quantity,
                decimal.Parse(productBasic.Price), null, null, null, productBasic.ManufacturerId, null, 1, (int)ProductTypeEnum.General,
                int.Parse(productBasic.ShippingType), productBasic.ShipEstimateId, int.Parse(productBasic.TaxType),
                productBasic.Weight, productBasic.WeightMeasureId, productBasic.Length, productBasic.Height, productBasic.Width,
                productBasic.DimensionMeasureId, "0", DateTime.Now.ToString("d"), null, productCategoryMap.Categories, iupProductImage.Images,
                new List<ProductDescriptor>(), productAttributes.ProductAttributes);

            Product p = Product.Load(productId);
            lblProductName.Text = p.ProductName;
            lblSKU.Text = p.SKU;
            lblPrice.Text = p.OurPrice.ToString("C");
            lnkAdvanced.NavigateUrl = string.Format("{0}?pid={1}", SiteNavigation.ProductEditPage, productId); 
            mvwAddProduct.SetActiveView(vwSummary);
        }
    }
}
