<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="ProductReviews.aspx.cs" Inherits="Admin_Catalog_ProductReviews" Title="Untitled Page" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellspacing="4px">
        <tr valign="top">
            <td>
                Status: 
                <asp:DropDownList id="ddlStatusList" runat="server" datatextfield="Status" datavaluefield="ProductReviewStatusId">
                </asp:DropDownList>
            </td>
            <td><asp:Button id="btnSearch" runat="server" text="Go" validationgroup="go" /></td>
        </tr>
    </table>

    <asp:ObjectDataSource id="odsReviews" runat="server" typename="XShan.DotShoppingCart.Common.Object.ProductReview"
        selectmethod="GetAll" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetAllCount" 
        deletemethod="Delete" updatemethod="Update" startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
        <SelectParameters>
            <asp:ControlParameter name="productReviewStatusId" controlid="ddlStatusList" propertyname="SelectedValue"  />
            <asp:Parameter name="showOutofStock" defaultvalue="" convertemptystringtonull="true" />
        </SelectParameters>
    </asp:ObjectDataSource>
    
    <dsc:DSCGridView id="gvwReviews" runat="server" datasourceid="odsReviews" autogeneratecolumns="false" 
        allowsorting="true" allowpaging="true" pagesize="10" datakeynames="ProductReviewId" showrownumber="true">
        <Columns>
            <asp:BoundField headertext="Created" datafield="Created" dataformatstring="{0:d}" htmlencode="false" 
                itemstyle-width="80px" readonly="true" sortexpression="created"/>
            <asp:TemplateField headertext="Rating" itemstyle-width="80px">
                <ItemTemplate>
                    <ajaxc:Rating id="ratMain" runat="server" currentrating='<%# Eval("Rating") %>' maxrating="5" starcssclass="ratingStar" waitingstarcssclass="savedRatingStart"
                        filledstarcssclass="filledRatingStar" emptystarcssclass="emptyRatingStar" readonly="true"></ajaxc:Rating>
                </ItemTemplate>
                <EditItemTemplate>
                    <ajaxc:Rating id="ratMain" runat="server" currentrating='<%# Bind("Rating") %>' maxrating="5" starcssclass="ratingStar" waitingstarcssclass="savedRatingStart"
                        filledstarcssclass="filledRatingStar" emptystarcssclass="emptyRatingStar"></ajaxc:Rating>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:BoundField headertext="Title" datafield="Title" itemstyle-width="100px" sortexpression="title"/>
            <asp:TemplateField headertext="Comments" itemstyle-width="300px">
                <ItemTemplate>
                    <%# Eval("Comments")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:HiddenField id="hidProductStatusId" runat="server" value='<%# Bind("ProductReviewStatusId") %>' />
                    <asp:TextBox id="txtComments" runat="server" textmode="MultiLine" rows="10" maxlength="1000" width="300" 
                        text='<%# Bind("Comments") %>'></asp:TextBox>
                    <asp:RequiredFieldValidator id="ftvComments" runat="server" controltovalidate="txtComments" 
                        validationgroup="review">Review Comments is required field.</asp:RequiredFieldValidator>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:BoundField headertext="Nickname" datafield="Nickname" itemstyle-width="60px" />
            <asp:CommandField buttontype="Button" showeditbutton="true" />
            <asp:TemplateField showheader="false">
                <ItemTemplate>
                    <asp:Button id="btnShowProduct" runat="server" text="Show Product" onclientclick='<%# string.Format("window.open(\"{0}\", \"_blank\")", SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU"))) %>' />
                    <asp:Button id="btnApprove" runat="server" text="Approve" oncommand="Approve" commandargument='<%# Eval("ProductReviewId") %>' />
                    <asp:Button id="btnReject" runat="server" text="Reject" oncommand="Reject" commandargument='<%# Eval("ProductReviewId") %>' />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" />
                    <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" 
                        confirmtext='Are you sure you want to delete this product review?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </dsc:DSCGridView>
</asp:Content>

