<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Admin_Default" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="DateRange" src="~/controls/DateRange.ascx" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div style="margin-bottom:5px;">
    Date Range: <dsc:DateRange id="dateRange" runat="server" validationgroup="go" />
    <asp:Button id="btnSearch" runat="server" text="Go" validationgroup="go" />
</div>
            
<table>
    <colgroup>
        <col style="width:33%;" />
        <col style="width:33%;" />
        <col style="width:33%;" />
    </colgroup>
    <tr>
        <td>
            <asp:ObjectDataSource id="odsOrders" runat="server" typename="XShan.DotShoppingCart.Common.Object.Order"
                selectmethod="GetActiveOrders">
                <SelectParameters>
                    <asp:Parameter name="orderStatusIds" type="string" defaultvalue="1,2,3,4,5,6,8,9,10,11,12,13,99" />
                    <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
                    <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <asp:GridView id="gvwOrders" runat="server" autogeneratecolumns="false" datasourceid="odsOrders" width="100%">
                <Columns>
                    <asp:TemplateField headertext="Order#">
                        <ItemTemplate>
                            <a href='<%# string.Format("{0}?oid={1}", SiteNavigation.OrderEditPage, (int)Eval("OrderId")) %>'
                                title='<%# Eval("OrderStatus.Status") %>'>
                                <%# Eval("OrderNumber") %>
                                <%# (bool)Eval("OrderStatus.IsCompleted") ? "" : "*" %>
                            </a>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Total">
                        <ItemTemplate>
                            <%# Eval("OrderTotalAmount", "{0:c}") %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="User">
                        <ItemTemplate>
                            <div>
                                <a href='<%# string.Format("{0}?uid={1}", SiteNavigation.UserEditPage, (int)Eval("UserId")) %>'>
                                    <%# string.Format("{0} {1}", Eval("BillingAddress.FirstName"), Eval("BillingAddress.LastName")) %>
                                </a>
                            </div>
                            <div style="margin-top:2px;">
                                <%# Eval("Created", "{0:g}")%>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
        <td>
            <asp:ObjectDataSource id="odsUsers" runat="server" typename="XShan.DotShoppingCart.Common.Object.User"
                selectmethod="Search" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetUserCount" 
                startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
                <SelectParameters>
                    <asp:Parameter name="keywords" type="string" defaultvalue="" convertemptystringtonull="true" />
                    <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
                    <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
                </SelectParameters>
            </asp:ObjectDataSource>

            <dsc:DSCGridView id="gvwUserList" runat="server" autogeneratecolumns="false" datasourceid="odsUsers" 
                allowsorting="true" allowpaging="true" pagesize="10">
                <Columns>
                    <asp:TemplateField headertext="New User" itemstyle-width="150px" sortexpression="FirstName">
                        <ItemTemplate>
                            <a href='<%# string.Format("{0}?uid={1}", SiteNavigation.UserEditPage, Eval("UserId")) %>' 
                                title='<%# string.Join(Constant.DB.ListSeparator.ToString(), (string[])Eval("RoleList"))%>'>
                                <%# string.Format("{0} {1}", Eval("Address.FirstName"), Eval("Address.LastName"))%></a>
                                <%# null != (string[])Eval("RoleList") && (((string[])Eval("RoleList")).Length > 0) ? "*" : "" %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Time Created" itemstyle-width="140px" sortexpression="created">
                        <ItemTemplate>
                            <%# Eval("Created", "{0:g}")%>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <EmptyDataTemplate>
                    No New Customer
                </EmptyDataTemplate>
            </dsc:DSCGridView>
        </td>
        <td>
            <asp:ObjectDataSource id="odsOrderCount" runat="server" typename="XShan.DotShoppingCart.Common.Object.OrderCount"
                selectmethod="GetAll">
            </asp:ObjectDataSource>
            <asp:GridView id="gvwOrderCount" runat="server" autogeneratecolumns="false" datasourceid="odsOrderCount" width="100%">
                <Columns>
                    <asp:TemplateField headertext="Order Status">
                        <ItemTemplate>
                            <%# Eval("Status.Status") %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Count">
                        <ItemTemplate>
                            <a href='<%# string.Format("{0}?sid={1}&from={2}&to={3}", SiteNavigation.OrdersPage, Eval("Status.StatusId"), Constant.DB.DBDateTimeMinValue, Constant.DB.DBDateTimeMaxValue) %>'>
                                <%# Eval("Count") %>
                            </a>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

</asp:Content>

