//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class Admin_Catalog_Default : DSCPage {
    private Dictionary<int, CategoryStatistics> categoryStatisticsMap = new Dictionary<int, CategoryStatistics>();
    protected int Active = 0, Total = 0, Stock = 0;

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected int GetActiveCount(object o) {
        Category c = (Category)o;
        Active += c.Count;
        return c.Count;
    }

    protected int GetProductCount(int categoryId) {
        int count = GetCategoryStatistics(categoryId).ProductCount;
        Total += count;
        return count;
    }

    protected int GetProductStock(int categoryId) {
        int count = GetCategoryStatistics(categoryId).ProductQuantity;
        Stock += count;
        return count;
    }

    private CategoryStatistics GetCategoryStatistics(int categoryId) {
        CategoryStatistics cs;
        if (!categoryStatisticsMap.TryGetValue(categoryId, out cs)) {
            cs = CategoryStatistics.Get(categoryId);
            categoryStatisticsMap.Add(categoryId, cs);
        }
        return cs;
    }

}
