//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Admin_Store_Controls_ProductLists : ValidatableUserControl {
    public override string ValidationGroup {
        set {
            ntbFeaturedInHomepage.ValidationGroup = ntbCategoryPage.ValidationGroup =
                ntbFeaturedOverview.ValidationGroup = ntbNewOverview.ValidationGroup =
                ntbSaleOverview.ValidationGroup = ntbProductSummaryGridWidth.ValidationGroup =
                ntbProductSummaryGridHeight.ValidationGroup = ntbProductSummaryImageWidth.ValidationGroup =
                ntbProductSummaryImageHeight.ValidationGroup = ntbProductListColumns.ValidationGroup =
                ntbTopSellerProductCount.ValidationGroup =
                base.ValidationGroup = value;
        }
    }

    public override string ErrorMessagePrefix {
        set {
            base.ErrorMessagePrefix = value;
            ntbFeaturedInHomepage.ErrorMessagePrefix = value + "The number of Featured Products in Homepage ";
            ntbCategoryPage.ErrorMessagePrefix = value + "The number of Products Per Category Page ";
            ntbFeaturedOverview.ErrorMessagePrefix = value + "The number of Featured Products in Overview Page ";
            ntbNewOverview.ErrorMessagePrefix = value + "The number of New Products in Overview Page ";
            ntbSaleOverview.ErrorMessagePrefix = value + "The number of Sale Products in Overview Page ";
            ntbProductSummaryGridWidth.ErrorMessagePrefix = value + "The width of Product Grid in Product List ";
            ntbProductSummaryGridHeight.ErrorMessagePrefix = value + "The height of Product Grid in Product List ";
            ntbProductSummaryImageWidth.ErrorMessagePrefix = value + "The width of Product Image in Product List ";
            ntbProductSummaryImageHeight.ErrorMessagePrefix = value + "The height of Product Image in Product List ";
            ntbProductListColumns.ErrorMessagePrefix = value + "The number of the columns in Product List ";
            ntbTopSellerProductCount.ErrorMessagePrefix = value + "The number of Products in the Top Seller SideBox ";
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            UIConfigurationSection section = UIConfigurationSection.GetSection();
            chkShowProductCount.Checked = section.ShowProductCountInCategoryList;
            ntbFeaturedInHomepage.Value = section.FeaturedProductCountInHomepage;
            ntbCategoryPage.Value = section.CategoryProductCount;
            ntbFeaturedOverview.Value = section.FeaturedProductCountInOverviewPage;
            ntbNewOverview.Value = section.NewProductCountInOverviewPage;
            ntbSaleOverview.Value = section.SaleProductCountInOverviewPage;
            ntbProductSummaryGridWidth.Value = section.ProductSummaryGridWidth;
            ntbProductSummaryGridHeight.Value = section.ProductSummaryGridHeight;
            ntbProductSummaryImageWidth.Value = section.ProductSummaryImageWidth;
            ntbProductSummaryImageHeight.Value = section.ProductSummaryImageHeight;
            ntbProductListColumns.Value = section.ProductListColumns;
            ntbTopSellerProductCount.Value = section.TopSellerProductCount;
        }
    }

    public void SaveTo(UIConfigurationSection section) {
        section.ShowProductCountInCategoryList = chkShowProductCount.Checked;
        section.FeaturedProductCountInHomepage = ntbFeaturedInHomepage.Value;
        section.CategoryProductCount = ntbCategoryPage.Value;
        section.FeaturedProductCountInOverviewPage = ntbFeaturedOverview.Value;
        section.NewProductCountInOverviewPage = ntbNewOverview.Value;
        section.SaleProductCountInOverviewPage = ntbSaleOverview.Value;
        section.ProductSummaryGridWidth = ntbProductSummaryGridWidth.Value;
        section.ProductSummaryGridHeight = ntbProductSummaryGridHeight.Value;
        section.ProductSummaryImageWidth = ntbProductSummaryImageWidth.Value;
        section.ProductSummaryImageHeight = ntbProductSummaryImageHeight.Value;
        section.ProductListColumns = ntbProductListColumns.Value;
        section.TopSellerProductCount = ntbTopSellerProductCount.Value;
    }
}
