//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using DSC=XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Admin_Controls_StoreAddress : ValidatableUserControl {
    public bool enableStoreUrl {
        set { pnlStoreUrl.Visible = value; }
    }

    public override string ValidationGroup {
        set {
            base.ValidationGroup = value;
            rfvStoreUrl.ValidationGroup = telPhone.ValidationGroup = value;
        }
    }

    public override string ErrorMessagePrefix {
        set {
            base.ErrorMessagePrefix = value;
            telPhone.ErrorMessagePrefix = value + "Phone ";
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            txtStoreName.Text = storeSection.Name;
            txtStoreUrl.Text = storeSection.URL;
            txtAddress.Text = storeSection.LocationAddress;
            txtCity.Text = storeSection.LocationCity;
            txtState.Text = storeSection.LocationState;
            Country c = Country.GetFromCodeISO3166(storeSection.LocationCountry);
            if (null != c)
                ddlCountry.SelectedValue = c.CountryId.ToString();
            txtZipCode.Text = storeSection.LocationZipcode;
            telPhone.Telephone = storeSection.Phone;
            telPhone.Extension = storeSection.PhoneExt;
            telFax.Telephone = storeSection.Fax;
            telFax.Extension = storeSection.FaxExt;
        }
    }

    public void SaveTo(StoreConfigurationSection storeSection) {
        storeSection.Name = txtStoreName.Text;
        if (pnlStoreUrl.Visible)
            storeSection.URL = txtStoreUrl.Text;
        storeSection.LocationAddress = txtAddress.Text;
        storeSection.LocationCity = txtCity.Text;
        storeSection.LocationState = DSC.Address.GetStandardStateName(txtState.Text.Trim(), int.Parse(ddlCountry.SelectedValue));
        storeSection.LocationCountry = Country.Get(int.Parse(ddlCountry.SelectedValue)).CodeISO3166;
        storeSection.LocationZipcode = txtZipCode.Text;
        storeSection.Phone = telPhone.Telephone;
        storeSection.PhoneExt = telPhone.Extension;
        storeSection.Fax = telFax.Telephone;
        storeSection.FaxExt = telFax.Extension;

    }

    protected void cvdState_ServerValidate(object source, ServerValidateEventArgs args) {
        try {
            DSC.Address.GetStandardStateName(txtState.Text.Trim(), int.Parse(ddlCountry.SelectedValue));
            args.IsValid = true;
        } catch (ApplicationException) {
            args.IsValid = false;
        }
    }
}
