//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Admin_Store_Controls_StoreEmails : ValidatableUserControl {
    public override string ValidationGroup {
        set {
            base.ValidationGroup = value;
            etbSaleEmail.ValidationGroup = value;
        }
    }

    public override string ErrorMessagePrefix {
        set {
            base.ErrorMessagePrefix = value;
            etbSaleEmail.ErrorMessagePrefix = value + "Sale Related ";
        }
    }
    
    public string SaleEmail {
        get { return etbSaleEmail.Text; }
        set { etbSaleEmail.Text = value; }
    }

    public string OrderConfirmationEmails {
        get { return txtOrderConfirmationEmails.Text; }
        set { txtOrderConfirmationEmails.Text = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            etbSaleEmail.Text = storeSection.SaleEmailAddress;
            List<string> emails = new List<string>();
            foreach (Microsoft.Practices.EnterpriseLibrary.Common.Configuration.NamedConfigurationElement email in
                storeSection.OrderConfirmationEmailAddresses) {
                emails.Add(email.Name);
            }
            txtOrderConfirmationEmails.Text = string.Join(",", emails.ToArray());
        }
    }

    public void SaveTo(StoreConfigurationSection storeSection) {
        storeSection.SaleEmailAddress = etbSaleEmail.Text;
        storeSection.OrderConfirmationEmailAddresses.Clear();
        if (!string.IsNullOrEmpty(txtOrderConfirmationEmails.Text)) {
            foreach (string email in txtOrderConfirmationEmails.Text.Split(',')) {
                storeSection.OrderConfirmationEmailAddresses.Add(new Microsoft.Practices.EnterpriseLibrary.Common.Configuration.NamedConfigurationElement(email));
            }
        }
    }
}
