//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Admin_Store_StoreSetupWizard : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void storeSetupWizard_NextButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
    }

    protected void storeSetupWizard_FinishButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
        if (!e.Cancel) {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            storeAddress.SaveTo(storeSection);
            storeEmails.SaveTo(storeSection);
            SqlConfigurationController.SaveSection(StoreConfigurationSection.SectionName, storeSection);

            UIConfigurationSection section = UIConfigurationSection.GetSection();
            dscTheme.SaveTo(section);
            logo.SaveTo(section);
            SqlConfigurationController.SaveSection(UIConfigurationSection.SectionName, section);

            customParagraphs.Save();

            foreach (string themeFile in new string[] { Constant.UI.OverrideThemeStypeSheetTemplateName, Constant.UI.OverrideThemeSkinTemplateName }) {
                string filespec = Request.PhysicalApplicationPath + Path.Combine(Path.Combine("App_Themes", SiteNavigation.GetHost()), themeFile);
                if (File.Exists(filespec))
                    File.Delete(filespec);
            }

            mvwStoreSetup.SetActiveView(vwSummary);
        }
    }

}
