<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="UI.aspx.cs" Inherits="Admin_Store_UI" Title="Untitled Page" %>
<%@ MasterType virtualpath="~/Admin.master" %>

<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Register tagprefix="dsc" tagname="Theme" src="Controls/Theme.ascx" %>
<%@ Register tagprefix="dsc" tagname="SideBoxes" src="Controls/SideBoxes.ascx" %>
<%@ Register tagprefix="dsc" tagname="Logo" src="Controls/Logo.ascx" %>
<%@ Register tagprefix="dsc" tagname="Colors" src="Controls/Colors.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductLists" src="Controls/ProductLists.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <script type="text/javascript">
        function ActiveTabChanged(sender, e) {
            var activeTab = $get('<%=hidActiveTab.ClientID%>');
            activeTab.value = sender.get_activeTabIndex();
        }
    </script>

    <div>
        <asp:ValidationSummary id="vds" runat="server" validationgroup="layoutSettings"
            headertext="<b>The following error(s) were found:</b>" showsummary="true" />
    </div>
    <div style="margin-bottom:10px;">
    <asp:HiddenField ID="hidActiveTab" runat="server" />
    <ajaxc:TabContainer id="tbcUI" runat="server" onclientactivetabchanged="ActiveTabChanged">
        <ajaxc:TabPanel id="tabTheme" runat="server" headertext="Theme">
            <ContentTemplate>
                <dsc:Theme id="dscTheme" runat="server" onthemechanged="dscTheme_ThemeChanged" />
                <asp:HiddenField id="hidHeaderParagraph" runat="server" />
                <asp:HiddenField id="hidProductSummary" runat="server" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabSideBoxes" runat="server" headertext="SideBoxes">
            <ContentTemplate>
                <dsc:SideBoxes id="sideBoxes" runat="server" validationgroup="layoutSettings" errormessageprefix="Tab: SideBoxes -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabLogo" runat="server" headertext="Logo">
            <ContentTemplate>
                <dsc:Logo id="logo" runat="server" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabColors" runat="server" headertext="Colors">
            <ContentTemplate>
                <dsc:Colors id="colors" runat="server" validationgroup="layoutSettings" errormessageprefix="Tab: Colors -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabProductLists" runat="server" headertext="Product Lists">
            <ContentTemplate>
                <dsc:ProductLists id="productLists" runat="server" validationgroup="layoutSettings" errormessageprefix="Tab: ProductLists -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
    </ajaxc:TabContainer>
    </div>
    <div><dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success" /></div>
    <div>
        <asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" validationgroup="layoutSettings" />
        <ajaxc:ConfirmButtonExtender id="cbeSaveConfirm" runat="server" targetcontrolid="btnSave" 
            confirmtext='Changing to a different theme will lose the customization that you have done to the current theme. Do you want to continue?' />
    </div>
    
    <div style="margin-top:10px;">Tip: If you change any setting on this page, you need to "Refresh" the browser to see the changes of your store front. 
    If you are using IE, press Ctrl and F5 buttons at the same time. 
    </div>
</asp:Content>

