//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Data.Common;
using Microsoft.Practices.EnterpriseLibrary.Data;
using XShan.DotShoppingCart.Common;

public partial class Admin_Ads_FroogleUploadFile : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {
        Response.ContentType = "application/octetstream";
        Response.AppendHeader("Content-Disposition", string.Format("attachment; filename={0}_com.txt", SiteNavigation.GetHost()));
        Response.Expires = 0;

        DateTime expiringTime = DateTime.Today.AddMonths(1);
        StringBuilder sb = new StringBuilder();
        sb.AppendLine("brand\tcondition\tdescription\texpiration_date\tid\timage_link\tlink\tprice\tproduct_type\ttitle\tpayment_accepted\tpayment_notes\ttax_percent\ttax_region");

        Database db = DBController.CreateDatabase();
        DbCommand cmd = db.GetStoredProcCommand("DSC_Product_Export_Summary", 0, null);
        DataSet ds = db.ExecuteDataSet(cmd);
        string[] columns = new string[14];

        foreach (DataRow row in ds.Tables[0].Rows) {
            string category = (string)row["categoryName"];
            string pCategory = row["parentCategoryName"] as string;

            columns[0] = (string)row["name"];       //brand
            columns[1] = "new";                     //condition
            columns[2] = row["shortDescription"] as string; //description
            columns[3] =  expiringTime.ToShortDateString(); //expiration date
            columns[4] = (string)row["sku"];//id
            columns[5] = SiteNavigation.ResolveAbsoluteUrl(false, FileController.GetImageUrl(DBHelper.ToNullableInt(row["defaultImageId"]), 600, 500));//image link
            columns[6] = SiteNavigation.GetRewriterUrl("Product", (string)row["sku"]) + "?adsource=froogle";//link
            columns[7] = GetPrice((decimal)row["price"]);//price
            columns[8] = "hair accessory" ;//product_type
            columns[9] = (string.IsNullOrEmpty(pCategory) ? "" : pCategory + " > ") + category + string.Format(" ( {0} )", (string)row["sku"]);//title
            columns[10] = "Visa, MasterCard, AmericanExpress, Discover"; //payment_accepted
            columns[11] = "PayPal"; //payment_notes
            columns[12] = "8.9"; //tax
            columns[13] = "Washington"; //tax_region
            OutputLine(sb, columns);
        }
        Response.Write(sb.ToString());
    }

    private string GetPrice(decimal? price) {
        if (null == price)
            return "";
        return Math.Round((decimal)price, 2).ToString();
    }


    private void OutputLine(StringBuilder sb, string[] columns) {
        sb.AppendLine(string.Join("\t", columns));
    }

}
