//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Net.Mail;

using XShan.DotShoppingCart.Common.Configuration;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common;

public partial class Contact : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            lblStatus.Text = string.Empty;
            adAddress.Address = AddressHelper.GetStoreAddress();
            adAddress.DataBind();
        }
    }

    protected void btnSubmit_Click(object sender, EventArgs e) {
        if (Page.IsValid) {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            NameValueCollection tokens = Utils.GetStoreTokens();
            tokens.Add("Contact.Customer", Server.HtmlEncode(txtName.Text));
            tokens.Add("Contact.Regarding", 
                string.IsNullOrEmpty(txtOrderNumber.Text) ? "" : 
                "regarding to order# " + Server.HtmlEncode(txtOrderNumber.Text));
            tokens.Add("Contact.Message", Server.HtmlEncode(txtMessage.Text));

            List<string> to = new List<string>();
            to.Add(storeSection.SaleEmailAddress);
            if (chkCopy.Checked)
                to.Add(etbEmail.Text);

            EmailManager.Send("Contact", tokens, etbEmail.Text, to);

            txtName.Text = etbEmail.Text = txtOrderNumber.Text = txtMessage.Text = string.Empty;
            chkCopy.Checked = false;

            lblStatus.Text = "Email was sent successfully";
        }
    }
}
