//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using AjaxControlToolkit;

public partial class Controls_ComboBox : System.Web.UI.UserControl {
    private string dataSourceID = null, dataTextField, dataValueField, textInputText = null, errorMessage;
    private object dataSource = null;
    private Unit dropdownWidth, textInputWitdth;
    private FilterTypes filterType = 0;
    private string validChars = null;
    private bool validatorEnabled;

    public string Text {
        get { return txtTextInput.Text; }
        set { textInputText = value; }
    }
    public Unit TextboxWidth {
        get { return txtTextInput.Width; }
        set { textInputWitdth = value; }
    }
    public Unit DropdownWidth {
        get { return lstPopup.Width; }
        set { dropdownWidth = value; }
    }
    public string DataSourceID {
        get { return lstPopup.DataSourceID; }
        set { dataSourceID = value; }
    }
    public object DataSource {
        get { return lstPopup.DataSource; }
        set { dataSource = value; }
    }
    public string DataTextField {
        get { return lstPopup.DataTextField; }
        set { dataTextField = value; }
    }
    public string DataValueField {
        get { return lstPopup.DataValueField; }
        set { dataValueField = value; }
    }
    public string ErrorMessage {
        get { return rfvTextInput.ErrorMessage; }
        set { errorMessage = value; }
    }
    public bool EnableValidator {
        get { return rfvTextInput.Visible; }
        set { validatorEnabled = value; }
    }
    public FilterTypes FilterType {
        get { return FilteredTextBox.FilterType; }
        set { filterType = value; }
    }
    public string ValidChars {
        get { return FilteredTextBox.ValidChars; }
        set { validChars = value; }
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (0 != filterType) {
            FilteredTextBox.Enabled = true;
            FilteredTextBox.FilterType = filterType;
        } else {
            FilteredTextBox.Enabled = false;
        }
        if (!string.IsNullOrEmpty(validChars))
            FilteredTextBox.ValidChars = validChars;

        txtTextInput.Width = textInputWitdth;
        if (null != textInputText)
            txtTextInput.Text = textInputText;
        
        rfvTextInput.Visible = validatorEnabled;
        rfvTextInput.ErrorMessage = errorMessage;

        lstPopup.Width = dropdownWidth;
        lstPopup.DataTextField = dataTextField;
        lstPopup.DataValueField = dataValueField;
        lstPopup.ClearSelection();

        if (!string.IsNullOrEmpty(dataSourceID)) {
            lstPopup.DataSourceID = dataSourceID;
            lstPopup.DataBind();
        }
        if (null != dataSource) {
            lstPopup.DataSource = dataSource;
            lstPopup.DataBind();
        }
    }

    protected void lstPopup_SelectedIndexChanged(object sender, EventArgs e) {
        ListBox lstPopup = (ListBox)sender;
        PopupControlExtender PopupControlExtenderDropdown = (PopupControlExtender)FindControl("PopupControlExtenderDropdown");
        PopupControlExtenderDropdown.Commit(lstPopup.SelectedValue);
        lstPopup.ClearSelection();
    }

}
