//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Payment;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;

public partial class Controls_GoogleCheckoutButton : System.Web.UI.UserControl {
    private GooglePaymentProvider googleCheckoutProvider;
    private GooglePaymentProvider GoogleCheckoutProvider {
        get {
            if (null == googleCheckoutProvider)
                googleCheckoutProvider = GooglePaymentProvider.GetProvider();
            return googleCheckoutProvider;
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
        pnlGoogleCheckout.Visible = (null != GoogleCheckoutProvider) && GoogleCheckoutProvider.Enabled;
        pnlResult.Visible = false;
    }

    protected void btnGoogleCheckout_Click(object sender, EventArgs e) {
        if (GoogleCheckoutProvider.Enabled) {
            try {
                string userName = Constant.DB.AnonymousUsername;
                if (Page.User.Identity.IsAuthenticated) {
                    userName = Page.User.Identity.Name;
                }

                string url = GoogleCheckoutProvider.PostCart(Cart.Get(), userName);
                Response.Redirect(url, true);
            } catch (PaymentExecption ex) {
                pnlResult.Visible = true;
                lblResult.Text = "Google Checkout is currently having issues accepting payment. Please use other payment methods.";
                ExceptionPolicy.HandleException(ex, "Unhandled Policy");
            }
        }
    }

}
