//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Controls_HtmlEditor : System.Web.UI.UserControl {
    private bool enableRickHtmlEditor {
        get {
            StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
            return storeSection.EnableRichHtmlEditor;
        }
    }

    public string Text {
        get { return enableRickHtmlEditor ? fckEditor.Value : txtEditor.Text; }
        set {
            if (enableRickHtmlEditor)
                fckEditor.Value = value;
            else
                txtEditor.Text = value;
            }
    }

    public Unit Width {
        set {
            if (enableRickHtmlEditor)
                fckEditor.Width = value;
            else
                txtEditor.Width = value;
            }
    }

    public Unit Height {
        set {
            if (enableRickHtmlEditor)
                fckEditor.Height = value;
            else
                txtEditor.Height = value;
            }
    }

    public bool FullPage {
        set { fckEditor.FullPage = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (enableRickHtmlEditor) {
            fckEditor.CustomConfigurationsPath = SiteNavigation.ResolveUrl("JS/DSCfck.js");
        } else {
            fckEditor.Visible = false;
            txtEditor.Visible = true;
        }
    }
}
