<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CategoryList.ascx.cs" Inherits="Controls_LayoutPanels_CategoryList" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>
<%@ Import namespace="XShan.DotShoppingCart.Common.Configuration" %>

<asp:Repeater id="rptCategories" runat="server">
    <ItemTemplate>
        <div class="browsebox">
            <a class="bar" href="<%# SiteNavigation.GetRewriterUrl("Category", Eval("ParentFullPath").ToString(), Eval("Name").ToString()) %>">
                <span><%# Eval("Name") %><span runat="server" class="ProductCount"
                    visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>' >(<%# Eval("Count") %>)</span></span>
            </a> 
            <asp:Repeater id="rptSubCategories" runat="server" datasource='<%# Eval("SubCategories") %>' >
                <ItemTemplate>
                    <div class="subcategory">
                        <a class="bar" href="<%# SiteNavigation.GetRewriterUrl("Category", Eval("ParentFullPath").ToString(), Eval("Name").ToString()) %>"> 
                            <span><%# Eval("Name") %><span runat="server" class="ProductCount"
                                visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>'>(<%# Eval("Count") %>)</span></span>
                        </a> 
                    </div>   
                </ItemTemplate>
            </asp:Repeater>
        </div>
    </ItemTemplate>
</asp:Repeater>
<asp:Panel cssclass="browsebox" id="pnlNarrowByPrice" runat="server" visible="false">
    <div class="browseboxHeader">Narrow by Price</div>
    <asp:Repeater id="rptPriceRange" runat="server">
        <ItemTemplate>
            <div class="subcategory">
                <a class="bar" href="<%=categoryPath%>?pricefrom=<%# Eval("PriceFrom")%>&priceto=<%# Eval("PriceTo")%>">
                    <span><%# Container.DataItem.ToString()%><span runat="server" class="ProductCount"
                        visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>'>(<%# Eval("Count") %>)</span></span>
                </a>
            </div>
        </ItemTemplate>
    </asp:Repeater>
</asp:Panel>
<asp:Panel cssclass="browsebox" id="pnlNarrowByManufacturer" runat="server" visible="false">
    <div class="browseboxHeader">Narrow by Brand</div>
    <asp:Repeater id="rptManufacturer" runat="server">
        <ItemTemplate>
            <div class="subcategory">
                <a class="bar" href="<%=categoryPath%>?manufacturer=<%# Eval("Manufacturer.Name")%>">
                    <span><%# Eval("Manufacturer.Name")%><span runat="server" class="ProductCount"
                        visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>'>(<%# Eval("Count") %>)</span></span>
                </a>
            </div>
        </ItemTemplate>
    </asp:Repeater>
</asp:Panel>

<asp:Repeater id="rptRootCategoryies" runat="server">
    <ItemTemplate>
        <div class="browsebox">
            <a class="bar" href="<%# SiteNavigation.GetRewriterUrl("Category", Eval("ParentFullPath").ToString(), Eval("Name").ToString()) %>">
                <span><%# Eval("Name") %><span runat="server" class="ProductCount"
                    visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>'>(<%# Eval("Count") %>)</span></span>
            </a>
            <asp:Repeater id="rptSubCategories" runat="server" datasource='<%# Eval("SubCategories") %>' >
                <ItemTemplate>
                    <div class="subcategory">
                        <a class="bar" href="<%# SiteNavigation.GetRewriterUrl("Category", Eval("ParentFullPath").ToString(), Eval("Name").ToString()) %>">
                            <span><%# Eval("Name") %><span runat="server" class="ProductCount"
                                visible='<%# UIConfigurationSection.GetSection().ShowProductCountInCategoryList %>'>(<%# Eval("Count") %>)</span></span>
                        </a>
                    </div>   
                </ItemTemplate>
            </asp:Repeater>
        </div>
    </ItemTemplate>
</asp:Repeater>

