//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class Controls_LayoutPanels_InformationSideBox : SideBoxUserControl {

    public override bool Editable {
        get { return true; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        Paragraph paragraph = null;
        if (!string.IsNullOrEmpty(Parameters)) {
            paragraph = Paragraph.Load(int.Parse(Parameters));
        }

        prgInfomation.Content = null == paragraph ? "Click Edit button to start adding content." :
            paragraph.ResolvedText;

        if (EditMode && (!IsPostBack)) {
            pnlInformation.Visible = false;
            pnlInformationEdit.Visible = true;
            if (null != paragraph) {
                hidParagraphId.Value = paragraph.ParagraphId.ToString();
                edtInformaiton.Text = paragraph.Text;
            }
        }
    }

    public override string SaveContent() {
        int paragraphId = int.Parse(hidParagraphId.Value);
        if (0 == paragraphId) { //add
            paragraphId = Paragraph.Add(null, edtInformaiton.Text);
        } else { //update
            Paragraph.Update(paragraphId, edtInformaiton.Text, 0);
        }
        return paragraphId.ToString();
        //No need to re-bind since the entire page will be reloaded again.
        //BindControls();
    }

    public override void DeleteContent() {
        int paragraphId = int.Parse(hidParagraphId.Value);
        if (0 != paragraphId) { 
            Paragraph.Delete(paragraphId);
        }
    }
}
