<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MainMenuTab.ascx.cs" Inherits="Controls_MainMenuTab" %>
<%@ Import Namespace="XShan.DotShoppingCart.Common" %>

<div class="mainmenu">
    <asp:ObjectDataSource id="odsTabs" runat="server" typename="XShan.DotShoppingCart.Common.Object.Tab" selectmethod="GetAll">
    </asp:ObjectDataSource>
    <asp:Repeater id="rptTabs" runat="server" datasourceid="odsTabs" onitemdatabound="rptTabs_ItemDataBound">
        <ItemTemplate>
            <div id="dvTab" runat="server" class="tab">
                <a href='<%# ResolveAbsoluteUrl((string)Eval("Link")) %>' <%# IsCurrentPage((string)Eval("Link")) ? "class='selected'" : "" %> >
                    <span><%# Eval("Name")%></span>
                </a>
            </div>
            <asp:Panel id="pnlMainMenuTabEditor" runat="server">
                <asp:HiddenField id="hidTabId" runat="server" value='<%# Eval("TabId") %>' />
                <asp:HiddenField id="hidSortOrder" runat="server" value='<%# Eval("SortOrder") %>' />
                <ajaxc:HoverMenuExtender id="hmeTab" runat="Server" popupcontrolid="PopupMenu" popupposition="Bottom" targetcontrolid="dvTab" popdelay="25" />
                <asp:Panel id="PopupMenu" runat="server" cssclass="popupMenu">
                    <div>
                        <div><asp:Button id="btnEdit" runat="server" width="100px" text="Edit" /></div>
                        <div><asp:Button id="btnDelete" runat="server" width="100px" text="Delete" commandname="Delete" commandargument='Tab' oncommand="ActionCommand" />
                        <ajaxc:ConfirmButtonExtender ID="cbeDelete" runat="server" targetcontrolid="btnDelete" confirmtext="Are you sure you want to delete this tab?" />
                        </div>
                    </div>
                </asp:Panel>
                <ajaxc:ModalPopupExtender id="mpeEditTab" runat="server" targetcontrolid="btnEdit" 
                    popupcontrolid="pnlEditTab" backgroundcssclass="modalBackground" dropshadow="true"
                    cancelcontrolid="btnCancelEditTab" >
                </ajaxc:ModalPopupExtender>
                <asp:Panel ID="pnlEditTab" runat="server" cssclass="modalPopup" style="display:none;" width="300px" >
                    <div class="title">
                        Edit Tab
                    </div>
                    <div class="body">
                        <asp:ValidationSummary id="vdsEditTab" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="EditTab" />
                        <table>
                            <tr>
                                <td>Tab Name:</td>
                                <td><asp:TextBox id="txtTabName" runat="server" maxlength="150" text='<%# Eval("Name") %>'></asp:TextBox>
                                    <asp:RequiredFieldValidator id="rfvTabName" runat="server" controltovalidate="txtTabName" validationgroup="EditTab" 
                                        errormessage="Tab Name is required" >*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td>Link:</td>
                                <td><asp:TextBox id="txtTabLink" runat="server" maxlength="1000" text='<%# Eval("Link") %>'></asp:TextBox></td>
                                    <asp:RequiredFieldValidator id="rfvTabLink" runat="server" controltovalidate="txtTabLink" validationgroup="EditTab" 
                                        errormessage="Link is required" >*</asp:RequiredFieldValidator>
                            </tr>
                        </table>
                    </div>
                    <div class="buttons">
                        <asp:Button id="Button1" runat="server" text="Save" commandname="Save" commandargument="Tab" oncommand="ActionCommand" validationgroup="EditTab" />
                        <asp:Button id="btnCancelEditTab" runat="server" text="Cancel" causesvalidation="false" />
                    </div>
                </asp:Panel>
            </asp:Panel>
        </ItemTemplate>
    </asp:Repeater>
</div>

<asp:Panel id="pnlAdminPageEditorExtraTabs" runat="server">
    <asp:Button id="btnAddTab" runat="server" text="Add Tab" />
    <ajaxc:ModalPopupExtender id="mpeAddTab" runat="server" targetcontrolid="btnAddTab" 
        popupcontrolid="pnlAddTab" backgroundcssclass="modalBackground" dropshadow="true"
        cancelcontrolid="btnCancelAddTab" >
    </ajaxc:ModalPopupExtender>
</asp:Panel>

<asp:Panel id="pnlAdminPageEditorPopupPanels" runat="server">
    <asp:Panel ID="pnlAddTab" runat="server" cssclass="modalPopup" style="display:none;" width="300px" >
        <div class="title">
            Add Tab
        </div>
        <div class="body">
            <asp:ValidationSummary id="vdsAddTab" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="AddTab" />
            <table>
                <tr>
                    <td>Tab Name:</td>
                    <td><asp:TextBox id="txtTabName" runat="server" maxlength="150"></asp:TextBox>
                        <asp:RequiredFieldValidator id="rfvTabName" runat="server" controltovalidate="txtTabName" validationgroup="AddTab" 
                            errormessage="Tab Name is required" >*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>Link:</td>
                    <td><asp:TextBox id="txtTabLink" runat="server" maxlength="1000"></asp:TextBox></td>
                        <asp:RequiredFieldValidator id="rfvTabLink" runat="server" controltovalidate="txtTabLink" validationgroup="AddTab" 
                            errormessage="Link is required" >*</asp:RequiredFieldValidator>
                </tr>
            </table>
        </div>
        <div class="buttons">
            <asp:Button id="Button2" runat="server" text="Add" commandname="Add" commandargument="Tab" oncommand="ActionCommand" validationgroup="AddTab" />
            <asp:Button id="btnCancelAddTab" runat="server" text="Cancel" causesvalidation="false" />
        </div>
    </asp:Panel>
</asp:Panel>
