//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class Controls_MainMenuTab : System.Web.UI.UserControl {
    protected void Page_PreRender(object sender, EventArgs e) {
        if (!IsPostBack) {
            pnlAdminPageEditorExtraTabs.Visible = pnlAdminPageEditorPopupPanels.Visible = WebUtils.IsPageEditorEnable();
        }
    }

    protected void rptTabs_ItemDataBound(object sender, RepeaterItemEventArgs e) {
        Panel pnlMainMenuTabEditor = (Panel)e.Item.FindControl("pnlMainMenuTabEditor");
        pnlMainMenuTabEditor.Visible = WebUtils.IsPageEditorEnable();
    }

    protected void ActionCommand(object sender, CommandEventArgs e) {
        HiddenField hidTabId;
        switch (e.CommandArgument.ToString()) {
            case "Tab":
                switch (e.CommandName) {
                    case "Add":
                        Tab.Add(txtTabName.Text, txtTabLink.Text);
                        break;
                    case "Delete":
                        hidTabId = (HiddenField)((Button)sender).NamingContainer.FindControl("hidTabId");
                        Tab.Delete(int.Parse(hidTabId.Value));
                        break;
                    case "Save":
                        hidTabId = (HiddenField)((Button)sender).NamingContainer.FindControl("hidTabId");
                        TextBox txtTabNameLocal = (TextBox)((Button)sender).NamingContainer.FindControl("txtTabName");
                        TextBox txtTabLinkLocal = (TextBox)((Button)sender).NamingContainer.FindControl("txtTabLink");
                        HiddenField hidSortOrder = (HiddenField)((Button)sender).NamingContainer.FindControl("hidSortOrder");
                        Tab.Update(int.Parse(hidTabId.Value), txtTabNameLocal.Text, txtTabLinkLocal.Text, int.Parse(hidSortOrder.Value));
                        break;
                }
                break;
        }
        WebUtils.ReloadPage();
    }

    protected bool IsCurrentPage(string link) {
        string rawUrl = SiteNavigation.GetRelativePathToApplicatonRoot(Page.Request.RawUrl);
        return 0 == string.Compare(link, rawUrl, true);
    }

    protected string ResolveAbsoluteUrl(string url) {
        if (url.StartsWith(@"http://", StringComparison.OrdinalIgnoreCase))
            return url;
        return SiteNavigation.ResolveAbsoluteUrl(false, SiteNavigation.ResolveUrl(url));
    }
}
