//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Controls_LayoutPanels_ProductReviewSideBox : SideBoxUserControl {
    private ProductReview review;
    public ProductReview Review {
        get { return review; }
        set { review = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            bool isCategoryPage = 0 == string.Compare(SiteNavigation.GetRelativePathToApplicatonRoot(Request.Url.AbsolutePath), "Category.aspx", true);
            string categoryPath = isCategoryPage ? Utils.GetParameter("n", null) : null;

            string cacheKey = string.Format("{0}_ProductReview_{1}", SiteNavigation.GetHost(), null == categoryPath ? string.Empty : categoryPath);
            object o = Cache[cacheKey];
            if (null == o) {
                bool showStock = ((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).ShowStock;
                review = ProductReview.GetByCategoryPath(categoryPath, showStock);
                if (null == review) { // use store wide categories
                    review = ProductReview.GetByCategoryPath(null, showStock);
                }
                if (null != review) {
                    Cache.Insert(cacheKey, review, null, DateTime.Now.AddHours(Constant.UI.StaticCacheTimeout), System.Web.Caching.Cache.NoSlidingExpiration);
                }
            } else
                review = (ProductReview)o;

            pnlProductReview.Visible = null != review;
            if (null != review)
                DataBind();
        }
    }
}
