<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SideColumn.ascx.cs" Inherits="Controls_LayoutPanels_SideColumn" %>
<asp:Repeater id="rptSideBoxes" runat="server" onitemdatabound="rptSideBoxes_ItemDataBound" >
    <ItemTemplate>
        <asp:HiddenField id="hidSideBoxVirtualPath" runat="server" value='<%# Eval("SideBoxType.VirtualPath") %>' />
        <div class="sidebox">
            <div class="sideboxHeader<%# IsLeftSide ? "Left" : "Right" %>"><div style="padding-top:6px;"><%# Eval("Title") %></div></div>
            <asp:Panel cssclass="sideboxContent" id="pnlSideBox" runat="server"></asp:Panel>
        </div>
        <asp:Panel id="pnlShowUpdate" runat="server" visible="false">
            <asp:HiddenField id="hidSideBoxId" runat="server" value='<%# Eval("SideBoxId") %>' />
            <asp:HiddenField id="hidSideBoxTypeId" runat="server" value='<%# Eval("SideBoxType.SideBoxTypeId") %>' />
            <asp:HiddenField id="hidSortOrder" runat="server" value='<%# Eval("SortOrder") %>' />
            <ajaxc:HoverMenuExtender id="hmeSideBox" runat="Server" hovercssclass="popupHover"
                popupcontrolid="PopupMenu" popupposition="Right" offsetx="-100" targetcontrolid="pnlSideBox" popdelay="25" />
            <asp:Panel id="PopupMenu" runat="server" cssclass="popupMenu">
                <div>
                    <div><asp:Button id="btnEdit" runat="server" width="100px" text="Edit" visible="false" /></div>
                    <div><asp:Button id="btnDelete" runat="server" width="100px" text="Delete" commandname="Delete" oncommand="ActionCommand" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDelete" runat="server" targetcontrolid="btnDelete" confirmtext="Are you sure you want to delete this side box?" />
                    </div>
                </div>
            </asp:Panel>
            <ajaxc:ModalPopupExtender id="mpeEdit" runat="server" targetcontrolid="btnEdit" 
                popupcontrolid="pnlEditSideBox" backgroundcssclass="modalBackground" dropshadow="true"
                cancelcontrolid="btnCancelEdit" >
            </ajaxc:ModalPopupExtender>
            <asp:Panel ID="pnlEditSideBox" runat="server" CssClass="modalPopup" style="display:none; width:900px;" >
                <div class="title">
                    Edit Side Box
                </div>
                <div class="body">
                    <table>
                        <tr>
                            <td colspan="2">
                                <asp:ValidationSummary id="vdsEdit" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="EditSideBox" />
                            </td>
                        </tr>
                        <tr>
                            <td>Title:</td>
                            <td><asp:TextBox id="txtTitle" runat="server" maxlength="50"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>Content:</td>
                            <td><asp:Panel id="pnlUpdateParameters" runat="server"></asp:Panel></td>
                        </tr>
                    </table>
                </div>
                <div class="buttons">
                    <asp:Button id="Button1" runat="server" text="Save" commandname="Save" oncommand="ActionCommand" validationgroup="EditSideBox" />
                    <asp:Button id="btnCancelEdit" runat="server" text="Cancel" causesvalidation="false" />
                </div>
            </asp:Panel>
        </asp:Panel>
    </ItemTemplate>
</asp:Repeater>
<asp:Panel id="pnlShowAdd" runat="server" visible="false">
    <asp:Button id="btnAdd" runat="server" text="Add Side Box" />
    <ajaxc:ModalPopupExtender id="mpeAdd" runat="server" targetcontrolid="btnAdd" 
        popupcontrolid="pnlAdd" backgroundcssclass="modalBackground" dropshadow="true"
        cancelcontrolid="btnCancelAdd" >
    </ajaxc:ModalPopupExtender>
    <asp:Panel ID="pnlAdd" runat="server" CssClass="modalPopup" style="display:none;" width="300px" >
        <div class="title">
            Add Side Box
        </div>
        <div class="body">
            <table>
                <tr>
                    <td>Side Box Type:</td>
                    <td>
                        <asp:ObjectDataSource id="odsSideBoxes" runat="server" typename="XShan.DotShoppingCart.Common.Object.SideBoxType" selectmethod="GetAll">
                        </asp:ObjectDataSource>
                        <asp:DropDownList id="ddlSideBoxTypes" runat="server" datasourceid="odsSideBoxes" 
                            datatextfield="Type" datavaluefield="SideBoxTypeId" width="160px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>Title:</td>
                    <td><asp:TextBox id="txtTitle" runat="server" width="160px" maxlength="50"></asp:TextBox></td>
                </tr>
            </table>
        </div>
        <div class="buttons">
            <asp:Button id="Button2" runat="server" text="Add" commandname="Add" oncommand="ActionCommand" />
            <asp:Button id="btnCancelAdd" runat="server" text="Cancel" causesvalidation="false" />
        </div>
    </asp:Panel>
</asp:Panel>
