<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderItems.ascx.cs" Inherits="Controls_OrderItems" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>
<%@ Import namespace="XShan.DotShoppingCart.Common.Object" %>

<dsc:DSCGridView id="gvwOrderItems" runat="server" datakeynames="OrderItemId" autogeneratecolumns="false" width="100%" 
    allowsorting="true" headerstyle-horizontalalign="left" onsorting="gvwOrderItems_Sorting">
    <Columns>
        <asp:TemplateField headertext="Image" headerstyle-width="80">
            <ItemTemplate>
                <div>
                    <a href='<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("SKU")) %>' target="_blank">
                        <img alt="<%# Eval("ProductName") %>" src="<%# FileController.GetImageUrl((int?)Eval("ImageId"), 80, 60) %>" />
                    </a>
                </div>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Product Description" sortexpression="ProductName">
            <ItemTemplate>
                <div>
                    <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("SKU")) %>"><%# Eval("ProductName") %></a>
                </div>
                <asp:Repeater id="rptAttributes" runat="server" datasource='<%# Eval("Attributes") %>'>
                    <ItemTemplate>
                        <div>
                            <span style="font-weight:bold"><%# Eval("Key") %></span> : <%# Eval("Value") %>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
                <asp:Panel runat="server" visible='<%# ((ProductTypeEnum)Eval("ProductType") == ProductTypeEnum.RegistrationCodeAutoGen) && (!string.IsNullOrEmpty((string)Eval("CustomField"))) %>'>
                    <span style="font-weight:bold">Registration Code: </span><%# Eval("CustomField") %> 
                </asp:Panel>
                <asp:Label id="lblCustomField" runat="server" text='<%# Eval("CustomField") %>' 
                    visible='<%# ((ProductTypeEnum)Eval("ProductType") != ProductTypeEnum.RegistrationCodeAutoGen) && (!string.IsNullOrEmpty((string)Eval("CustomField"))) %>'></asp:Label>
                <asp:Label id="pnlShipTracking" runat="server" visible='<%# null != Eval("ShipTracking") %>'>
                    <%# Eval("ShipTracking.Carrier.Name")%> Tracking#:&nbsp;<a href='<%# Eval("ShipTracking.TrackingUrl")%>' target="_blank"><%# Eval("ShipTracking.TrackingNumber")%></a>&nbsp;&nbsp;
                </asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="SKU" itemstyle-width="100px" sortexpression="SKU">
            <ItemTemplate>
                <%# Eval("SKU")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="Price" headertext="Unit Price" dataformatstring="{0:C}" htmlencode="false" itemstyle-width="100px" sortexpression="Price" />
        <asp:TemplateField headertext="Qty." itemstyle-width="50px" sortexpression="Quantity">
            <ItemTemplate>
                <%# Eval("Quantity")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="TotalPrice" headertext="Total Price" dataformatstring="{0:C}" htmlencode="false" itemstyle-width="100px" sortexpression="TotalPrice"/>
    </Columns>
</dsc:DSCGridView>