//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;

public partial class Controls_ParagraphDisplay : System.Web.UI.UserControl {
    private string content = null;
    public string Content {
        set { content = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!string.IsNullOrEmpty(content)) {
            string[] parts = content.Split(new string[] { Constant.UI.ControlToken }, StringSplitOptions.RemoveEmptyEntries);
            foreach (string part in parts) {
                switch (part) {
                    case "StoreLogo":
                        placeHolder.Controls.Add(Page.LoadControl("~/Controls/LayoutPanels/StoreLogo.ascx"));
                        break;
                    case "MainMenu":
                        placeHolder.Controls.Add(Page.LoadControl("~/Controls/LayoutPanels/MainMenuTab.ascx"));
                        break;
                    case "LoginMenu":
                        placeHolder.Controls.Add(Page.LoadControl("~/Controls/LayoutPanels/LoginMenu.ascx"));
                        break;
                    case "SearchBox":
                        placeHolder.Controls.Add(Page.LoadControl("~/Controls/LayoutPanels/Search.ascx"));
                        break;
                    default:
                        Literal l = new Literal();
                        l.Text = part;
                        placeHolder.Controls.Add(l);
                        break;
                }
            }
        }
    }
}
