//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

public partial class Controls_ProductDetail : System.Web.UI.UserControl {
    private Product product;
    private bool showOutofStock;

    public Product Product {
        get { return product; }
        set { product = value; }
    }
    public List<int> SelectedAttributeValueIds {
        get { return AttributeSelection1.SelectedAttributeValueIds; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        AttributeSelection1.ProductAttributes = product.ProductAttributes;
        pmlManufacturer.Manufacturer = Product.Manufacturer;
        bool globleShowOutofStock = ((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).ShowStock;
        AttributeSelection1.ShowOutofStock = showOutofStock = ((null == product.ShowIfOutofStock) && globleShowOutofStock) || (product.ShowIfOutofStock ?? false);
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (!IsPostBack) {
            dtlImageViewer.DataSource = product.GetProductImages(showOutofStock);
            dtlImageViewer.DataBind();

            if (WebUtils.IsDiscountGroup()) {
                lblCrossPriceTitle.Text = "Retail Price:";
                lblCurrentPriceTitle.Text = "Your discounted Price:";
                lblCrossPrice.Text = product.Price.ToString("c");
                lblCurrentPrice.Text = WebUtils.GetDiscountPrice(product.Price).ToString("c");
            } else {
                if (null != product.SalePrice) {
                    lblCrossPriceTitle.Text = "Original Price:";
                    lblCurrentPriceTitle.Text = "Sale Price:";
                    lblCrossPrice.Text = product.Price.ToString("c");
                    lblCurrentPrice.Text = ((Decimal)product.SalePrice).ToString("c");
                    lblSave.Text = string.Format("{0:0%} off", product.SavePercentage);
                    rowYouSave.Visible = true;
                } else if (null != product.RetailPrice) {
                    lblCurrentPriceTitle.Text = "Our Price:";
                    lblCrossPrice.Text = ((Decimal)product.RetailPrice).ToString("c");
                    lblCurrentPrice.Text = product.Price.ToString("c");
                    lblSave.Text = string.Format("{0:0%} off", product.SavePercentage);
                    rowYouSave.Visible = true;
                } else {
                    rowCrossPrice.Visible = false;
                    lblCurrentPrice.Text = product.Price.ToString("c");
                }
            }
        }
    }
}
