//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class Controls_ProductReviews : System.Web.UI.UserControl {
    private Product product = null;
    public Product Product {
        get { return product; }
        set { product = value; }
    }

    protected override void OnDataBinding(EventArgs e) {
        base.OnDataBinding(e);

        if (null != product) {
            btnWriteReview.OnClientClick = string.Format("window.open('{0}?pid={1}', '_self'); return false;", 
                SiteNavigation.RateProductPage, product.ProductId);

            if (null != product.Reviews) {
                pnlOverallRating.Visible = product.Reviews.Count > 0;

                rptReviews.DataSource = product.Reviews;
                rptReviews.DataBind();

                double totalRatings = 0;
                foreach (ProductReview review in product.Reviews) {
                    totalRatings += review.Rating;
                }
                lblReviewCount.Text = product.Reviews.Count.ToString();
                ratOverall.CurrentRating = (int)Math.Round(totalRatings / product.Reviews.Count, MidpointRounding.AwayFromZero);
            }
        }
    }

    protected void Page_Load(object sender, EventArgs e) {

    }
}
