//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class Controls_ProductSummary : System.Web.UI.UserControl {
    private Product product;
    public Product Product {
        get { return product; }
        set { product = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            string templateFile = new DbTemplate().GetFile(SiteNavigation.GetHost(), Constant.UI.ProductSummaryTemplateName);
            string templateContent = File.ReadAllText(templateFile);
            if (!string.IsNullOrEmpty(templateContent)) {
                string[] parts = templateContent.Split(new string[] { Constant.UI.ControlToken }, StringSplitOptions.RemoveEmptyEntries);
                foreach (string part in parts) {
                    Control c;
                    switch (part) {
                        case "ProductImage":
                            c = LoadAndBindControl("~/Controls/ProductSummary/ProductImage.ascx");
                            break;
                        case "ProductName":
                            c = LoadAndBindControl("~/Controls/ProductSummary/ProductName.ascx");
                            break;
                        case "Price":
                            c = LoadAndBindControl("~/Controls/ProductSummary/Price.ascx");
                            break;
                        case "ShipEstimate":
                            c = LoadAndBindControl("~/Controls/ProductSummary/ShipEstimate.ascx");
                            break;
                        case "NewStatus":
                            c = LoadAndBindControl("~/Controls/ProductSummary/NewStatus.ascx");
                            break;
                        case "ShortDescription":
                            c = LoadAndBindControl("~/Controls/ProductSummary/ShortDescription.ascx");
                            break;
                        case "AddToCartButton":
                            c = LoadAndBindControl("~/Controls/ProductSummary/AddToCartButton.ascx");
                            break;
                        default:
                            Literal l = new Literal();
                            l.Text = part;
                            c = l;
                            break;
                    }
                    placeHolder.Controls.Add(c);
                }
            }
        }
    }

    private Control LoadAndBindControl(string virtualPath) {
        ProductSummaryUserControl c = (ProductSummaryUserControl)LoadControl(virtualPath);
        c.Product = product;
        c.DataBind();
        return c;
    }
}
