//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using XShan.DotShoppingCart.Common.Configuration;

public partial class DSCLogin : DSCSecurePage {
    protected void Page_Load(object sender, EventArgs e) {
        btnRegister.OnClientClick = string.Format("window.open('{0}', '_self'); return false;", SiteNavigation.RegisterPage);
        lgn1.PasswordRecoveryUrl = SiteNavigation.PasswordRecoveryPage;

        // Set default focus and default button
        Page.SetFocus(lgn1.FindControl("UserName"));
        Control c = lgn1.FindControl("LoginButton");
        Form.DefaultButton = c.UniqueID;
    }

    protected void lgn1_LoggingIn(object sender, LoginCancelEventArgs e) {
        if (!((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).Migration)
            return;

        ZenUser zenuser = ZenUser.GetUser(lgn1.UserName);
        if (null != zenuser) {
            if (ZenCartMigration.ValidatePW(lgn1.Password, zenuser.PasswordHash)) {
                MembershipUser mu = Membership.GetUser(lgn1.UserName);
                mu.ChangePassword(Constant.Security.UpgradePW, lgn1.Password);
                ZenUser.DeleteUser(lgn1.UserName);
            } else {
                lgn1.InstructionText = "Wrong user name or password.";
                e.Cancel = true;
            }
        }
    }

    protected void lgn1_LoggedIn(object sender, EventArgs e) {
        WebUtils.WriteDiscountGroupToSession(lgn1.UserName);
    }
}
