//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Configuration;

public partial class OrderDetail : DSCSecurePage {
    private int orderId;

    protected void Page_Load(object sender, EventArgs e) {
        this.Master.LeftCell.Visible = false;
        this.Master.RightCell.Visible = false;

        orderId = Utils.GetIntParameter("oid");

        if (!User.Identity.IsAuthenticated)
            Response.Redirect(string.Format("{0}?ReturnUrl={1}?oid={2}", SiteNavigation.LoginPage, SiteNavigation.OrderDetailPage, orderId));

        if (!IsPostBack) {
            orderDetail.OrderId = orderId;
            btnInvoice.OnClientClick = string.Format("window.open('{0}?oid={1}', '_blank'); return false;", SiteNavigation.InvoicePage, orderId);
        }
    }

}
