<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="RateProduct.aspx.cs" Inherits="RateProduct" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ProductOverview" src="~/Controls/ProductOverview.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <dsc:ProductOverview id="pdoProduct" runat="server" />
    <hr />
    <table style="width:100%;">
        <tr>
            <td style="width:300px;">
                <div class="sectionheader" style="font-weight:normal; font-size-adjust:100%; padding: 4px 4px 4px 4px;">
                    <h3>Product Review Guidelines</h3>
                    We read all reviews before posting them and reserves the right to deny any review. 
                    Here are some of the things that can cause a review to be denied:
                    <ul>
                        <li>Offensive or abusive language.</li>
                        <li>Prices and availability can change very quickly on the our website, 
                            so please leave such information out of your review.</li>
                        <li>Hyperlinks / URLs</li>
                        <li>References to other stores / resellers.</li>
                        <li>Comments on products that were either physically damaged or misused.</li>
                        <li>Replies to existing customer reviews; please do not attempt to initiate discussions here.</li>
                        <li>Criticism of our service or the service of our operations partners, (USPS, UPS, Paypal, etc.)</li>
                    </ul>
                </div>
            </td>
            <td>
                <table style="width:100%;">
                    <tr>
                        <td>
                            <asp:ValidationSummary id="vdsReview" runat="server" showsummary="true" validationgroup="review" />
                            <table>
                                <tr>
                                    <td class="FormSectionText">Review Title:</td>
                                    <td></td>
                                    <td class="FormSectionValue">
                                        <asp:TextBox id="txtTitle" runat="server" width="300"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FormSectionText">Overall Rating:</td>
                                    <td>*</td>
                                    <td class="FormSectionValue">
                                        <asp:DropDownList id="ddlRating" runat="server">
                                            <asp:ListItem text="[Please make a selection]" value=""></asp:ListItem>
                                            <asp:ListItem text="5 - Excellent" value="5"></asp:ListItem>
                                            <asp:ListItem text="4 - Good" value="4"></asp:ListItem>
                                            <asp:ListItem text="3 - Average" value="3"></asp:ListItem>
                                            <asp:ListItem text="2 - Poor" value="2"></asp:ListItem>
                                            <asp:ListItem text="1 - Very Poor" value="1"></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator id="rfvRating" runat="server" controltovalidate="ddlRating" validationgroup="review"
                                            errormessage="Need to make a selection in Overall Rating.">*</asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FormSectionText">Review Comments: <br />(1,000 characters max)</td>
                                    <td>*</td>
                                    <td class="FormSectionValue">
                                        <asp:TextBox id="txtComments" runat="server" textmode="MultiLine" rows="10" maxlength="1000" width="300"></asp:TextBox>
                                        <asp:RequiredFieldValidator id="ftvComments" runat="server" controltovalidate="txtComments" validationgroup="review"
                                            errormessage="Review Comments is required field.">*</asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FormSectionText">Your Nickname:</td>
                                    <td></td>
                                    <td class="FormSectionValue">
                                        <asp:TextBox id="txtNickname" runat="server" width="300"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                            <div style="text-align:center">
                                <asp:Label id="lblStatus" runat="server" cssclass="success">Review has been added and is pending for review.</asp:Label>
                            </div>
                            <div style="text-align:right; margin-top:10px;">
                                <asp:Button id="btnSubmit" runat="server" text="Submit" causesvalidation="true" validationgroup="review" onclick="btnSubmit_Click" />
                            </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>

