//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Specialized;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common.Configuration;
using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;

public partial class RateProduct : DSCPage {
    private int productId;

    protected void Page_Load(object sender, EventArgs e) {
        productId = Utils.GetIntParameter("pid");
        if (!IsPostBack) {
            Product product = Product.Load(productId);
            if (null == product)
                Response.Redirect(SiteNavigation.Error404Page);
            pdoProduct.Product = product;
            pdoProduct.DataBind();
        }
        lblStatus.Visible = false;
    }

    protected void btnSubmit_Click(object sender, EventArgs e) {
        if (IsValid) {
            ProductReview.Add(Utils.GetUserName(), productId, Server.HtmlEncode(txtTitle.Text),
                int.Parse(ddlRating.SelectedValue), Server.HtmlEncode(txtComments.Text), 
                Server.HtmlEncode(txtNickname.Text), DateTime.Now);
            lblStatus.Visible = true;
            SendNotificationEmail(Utils.GetUserName());
            ClearControls();
        }
    }

    private void ClearControls() {
        txtTitle.Text = txtComments.Text = txtNickname.Text = string.Empty;
        ddlRating.SelectedIndex = 0;
    }

    private void SendNotificationEmail(string username) {
        StoreConfigurationSection storeSection = (StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName);
        NameValueCollection tokens = new NameValueCollection();
        tokens.Add("RateProduct.Customer", username);
        tokens.Add("RateProduct.ProductReviewPage", SiteNavigation.ProductReviewsPage);
        EmailManager.Send("RateProduct", tokens, storeSection.SaleEmailAddress, new string[] { storeSection.SaleEmailAddress });
    }
}
