//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common;
using XShan.DotShoppingCart.Common.Object;
using DSC=XShan.DotShoppingCart.Common.Object;

public partial class UpdateAlert : DSCPage {
    private int productId;

    protected void Page_Load(object sender, EventArgs e) {
        productId = Utils.GetIntParameter("pid");
        if (!IsPostBack) {
            Product product = Product.Load(productId);
            if (null == product)
                Response.Redirect(SiteNavigation.Error404Page);
            pdoProduct.Product = product;
            pdoProduct.DataBind();
            DSC.User user = DSC.User.GetUser(Utils.GetUserName());
            if (null != user) {
                etbEmail.Text = user.MembershipUser.Email;
            }
        }
        lblStatus.Visible = false;
    }

    protected void btnSubmit_Click(object sender, EventArgs e) {
        if (IsValid) {
            ProductNotification.Add(productId, etbEmail.Text);
            lblStatus.Visible = true;
            ClearControls();
        }
    }

    private void ClearControls() {
        etbEmail.Text = string.Empty;
    }
}
