//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using XShan.DotShoppingCart.Common.Configuration;
using XShan.DotShoppingCart.Common;

public partial class site : System.Web.UI.MasterPage
{
    public TableCell LeftCell {
        get { return cellLeft; }
    }
    public TableCell MainCell {
        get { return cellMain; }
    }
    public TableCell RightCell {
        get { return cellRight; }
    }
    public SiteMapPath SiteMapPath {
        get { return SiteMapPathMain; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        WebUtils.AddDSCCommerJS(this.Page);
        lnkIcon.Href = FileController.GetFileUrl("favicon.ico");
        tagDescription.Content = ((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).MetaTagDescription;
        tagKeywords.Content = ((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).MetaTagKeywords;
    }

    void Page_Init(object sender, EventArgs e) {
        Page.Title = ((StoreConfigurationSection)SqlConfigurationController.GetSection(StoreConfigurationSection.SectionName)).Name + (null != SiteMap.CurrentNode ? " - " + SiteMap.CurrentNode.Title : "");
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        UIConfigurationSection section = UIConfigurationSection.GetSection();
        if (section.LayoutPanels.Contains("leftPanel"))
            cellLeft.Width = new Unit(section.LayoutPanels.Get("leftPanel").Width);
        else
            cellLeft.Visible = false;

        if (section.LayoutPanels.Contains("rightPanel"))
            cellRight.Width = new Unit(section.LayoutPanels.Get("rightPanel").Width);
        else
            cellRight.Visible = false;
    }
}
